--
-- PostgreSQL database dump
--

SET statement_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = off;
SET check_function_bodies = false;
SET client_min_messages = warning;
SET escape_string_warning = off;

SET search_path = public, pg_catalog;

--
-- Name: cluster_grouping; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE cluster_grouping AS ENUM (
    'roles',
    'hardware',
    'both'
);


ALTER TYPE public.cluster_grouping OWNER TO nailgun;

--
-- Name: cluster_mode; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE cluster_mode AS ENUM (
    'multinode',
    'ha_full',
    'ha_compact'
);


ALTER TYPE public.cluster_mode OWNER TO nailgun;

--
-- Name: cluster_net_manager; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE cluster_net_manager AS ENUM (
    'FlatDHCPManager',
    'VlanManager'
);


ALTER TYPE public.cluster_net_manager OWNER TO nailgun;

--
-- Name: cluster_status; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE cluster_status AS ENUM (
    'new',
    'deployment',
    'operational',
    'error',
    'remove'
);


ALTER TYPE public.cluster_status OWNER TO nailgun;

--
-- Name: license_type; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE license_type AS ENUM (
    'rhsm',
    'rhn'
);


ALTER TYPE public.license_type OWNER TO nailgun;

--
-- Name: net_l23_provider; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE net_l23_provider AS ENUM (
    'ovs'
);


ALTER TYPE public.net_l23_provider OWNER TO nailgun;

--
-- Name: net_provider; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE net_provider AS ENUM (
    'nova_network',
    'neutron'
);


ALTER TYPE public.net_provider OWNER TO nailgun;

--
-- Name: net_segment_type; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE net_segment_type AS ENUM (
    'none',
    'vlan',
    'gre'
);


ALTER TYPE public.net_segment_type OWNER TO nailgun;

--
-- Name: network_group_name; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE network_group_name AS ENUM (
    'fuelweb_admin',
    'storage',
    'management',
    'public',
    'floating',
    'fixed',
    'private'
);


ALTER TYPE public.network_group_name OWNER TO nailgun;

--
-- Name: node_error_type; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE node_error_type AS ENUM (
    'deploy',
    'provision',
    'deletion'
);


ALTER TYPE public.node_error_type OWNER TO nailgun;

--
-- Name: node_status; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE node_status AS ENUM (
    'ready',
    'discover',
    'provisioning',
    'provisioned',
    'deploying',
    'error'
);


ALTER TYPE public.node_status OWNER TO nailgun;

--
-- Name: notif_status; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE notif_status AS ENUM (
    'read',
    'unread'
);


ALTER TYPE public.notif_status OWNER TO nailgun;

--
-- Name: notif_topic; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE notif_topic AS ENUM (
    'discover',
    'done',
    'error',
    'warning'
);


ALTER TYPE public.notif_topic OWNER TO nailgun;

--
-- Name: plugin_type; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE plugin_type AS ENUM (
    'nailgun',
    'fuel'
);


ALTER TYPE public.plugin_type OWNER TO nailgun;

--
-- Name: possible_changes; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE possible_changes AS ENUM (
    'networks',
    'attributes',
    'disks'
);


ALTER TYPE public.possible_changes OWNER TO nailgun;

--
-- Name: release_state; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE release_state AS ENUM (
    'not_available',
    'downloading',
    'error',
    'available'
);


ALTER TYPE public.release_state OWNER TO nailgun;

--
-- Name: segmentation_type; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE segmentation_type AS ENUM (
    'vlan',
    'gre'
);


ALTER TYPE public.segmentation_type OWNER TO nailgun;

--
-- Name: task_name; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE task_name AS ENUM (
    'super',
    'deploy',
    'deployment',
    'provision',
    'node_deletion',
    'cluster_deletion',
    'check_before_deployment',
    'check_networks',
    'verify_networks',
    'check_dhcp',
    'verify_network_connectivity',
    'install_plugin',
    'update_plugin',
    'delete_plugin',
    'redhat_setup',
    'redhat_check_credentials',
    'redhat_check_licenses',
    'redhat_download_release',
    'redhat_update_cobbler_profile',
    'dump',
    'capacity_log'
);


ALTER TYPE public.task_name OWNER TO nailgun;

--
-- Name: task_status; Type: TYPE; Schema: public; Owner: nailgun
--

CREATE TYPE task_status AS ENUM (
    'ready',
    'running',
    'error'
);


ALTER TYPE public.task_status OWNER TO nailgun;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- Name: allowed_networks; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE allowed_networks (
    id integer NOT NULL,
    network_id integer NOT NULL,
    interface_id integer NOT NULL
);


ALTER TABLE public.allowed_networks OWNER TO nailgun;

--
-- Name: allowed_networks_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE allowed_networks_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.allowed_networks_id_seq OWNER TO nailgun;

--
-- Name: allowed_networks_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE allowed_networks_id_seq OWNED BY allowed_networks.id;


--
-- Name: allowed_networks_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('allowed_networks_id_seq', 52, true);


--
-- Name: attributes; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE attributes (
    id integer NOT NULL,
    cluster_id integer,
    editable text,
    generated text
);


ALTER TABLE public.attributes OWNER TO nailgun;

--
-- Name: attributes_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE attributes_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.attributes_id_seq OWNER TO nailgun;

--
-- Name: attributes_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE attributes_id_seq OWNED BY attributes.id;


--
-- Name: attributes_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('attributes_id_seq', 1, true);


--
-- Name: capacity_log; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE capacity_log (
    id integer NOT NULL,
    report text,
    datetime timestamp without time zone
);


ALTER TABLE public.capacity_log OWNER TO nailgun;

--
-- Name: capacity_log_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE capacity_log_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.capacity_log_id_seq OWNER TO nailgun;

--
-- Name: capacity_log_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE capacity_log_id_seq OWNED BY capacity_log.id;


--
-- Name: capacity_log_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('capacity_log_id_seq', 1, false);


--
-- Name: cluster_changes; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE cluster_changes (
    id integer NOT NULL,
    cluster_id integer,
    node_id integer,
    name possible_changes NOT NULL
);


ALTER TABLE public.cluster_changes OWNER TO nailgun;

--
-- Name: cluster_changes_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE cluster_changes_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.cluster_changes_id_seq OWNER TO nailgun;

--
-- Name: cluster_changes_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE cluster_changes_id_seq OWNED BY cluster_changes.id;


--
-- Name: cluster_changes_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('cluster_changes_id_seq', 4, true);


--
-- Name: clusters; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE clusters (
    id integer NOT NULL,
    mode cluster_mode NOT NULL,
    status cluster_status NOT NULL,
    net_provider net_provider NOT NULL,
    net_l23_provider net_l23_provider NOT NULL,
    net_segment_type net_segment_type NOT NULL,
    net_manager cluster_net_manager NOT NULL,
    grouping cluster_grouping NOT NULL,
    name character varying(50) NOT NULL,
    release_id integer NOT NULL,
    dns_nameservers text,
    replaced_deployment_info text,
    replaced_provisioning_info text,
    is_customized boolean
);


ALTER TABLE public.clusters OWNER TO nailgun;

--
-- Name: clusters_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE clusters_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.clusters_id_seq OWNER TO nailgun;

--
-- Name: clusters_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE clusters_id_seq OWNED BY clusters.id;


--
-- Name: clusters_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('clusters_id_seq', 1, true);


--
-- Name: global_parameters; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE global_parameters (
    id integer NOT NULL,
    parameters text
);


ALTER TABLE public.global_parameters OWNER TO nailgun;

--
-- Name: global_parameters_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE global_parameters_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.global_parameters_id_seq OWNER TO nailgun;

--
-- Name: global_parameters_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE global_parameters_id_seq OWNED BY global_parameters.id;


--
-- Name: global_parameters_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('global_parameters_id_seq', 1, true);


--
-- Name: ip_addr_ranges; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE ip_addr_ranges (
    id integer NOT NULL,
    network_group_id integer,
    first character varying(25) NOT NULL,
    last character varying(25) NOT NULL
);


ALTER TABLE public.ip_addr_ranges OWNER TO nailgun;

--
-- Name: ip_addr_ranges_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE ip_addr_ranges_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.ip_addr_ranges_id_seq OWNER TO nailgun;

--
-- Name: ip_addr_ranges_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE ip_addr_ranges_id_seq OWNED BY ip_addr_ranges.id;


--
-- Name: ip_addr_ranges_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('ip_addr_ranges_id_seq', 14, true);


--
-- Name: ip_addrs; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE ip_addrs (
    id integer NOT NULL,
    network integer,
    node integer,
    ip_addr character varying(25) NOT NULL
);


ALTER TABLE public.ip_addrs OWNER TO nailgun;

--
-- Name: ip_addrs_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE ip_addrs_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.ip_addrs_id_seq OWNER TO nailgun;

--
-- Name: ip_addrs_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE ip_addrs_id_seq OWNED BY ip_addrs.id;


--
-- Name: ip_addrs_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('ip_addrs_id_seq', 16, true);


--
-- Name: l2_connections; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE l2_connections (
    id integer NOT NULL,
    topology_id integer NOT NULL,
    interface_id integer NOT NULL
);


ALTER TABLE public.l2_connections OWNER TO nailgun;

--
-- Name: l2_connections_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE l2_connections_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.l2_connections_id_seq OWNER TO nailgun;

--
-- Name: l2_connections_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE l2_connections_id_seq OWNED BY l2_connections.id;


--
-- Name: l2_connections_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('l2_connections_id_seq', 1, false);


--
-- Name: l2_topologies; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE l2_topologies (
    id integer NOT NULL,
    network_id integer NOT NULL
);


ALTER TABLE public.l2_topologies OWNER TO nailgun;

--
-- Name: l2_topologies_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE l2_topologies_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.l2_topologies_id_seq OWNER TO nailgun;

--
-- Name: l2_topologies_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE l2_topologies_id_seq OWNED BY l2_topologies.id;


--
-- Name: l2_topologies_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('l2_topologies_id_seq', 1, false);


--
-- Name: net_assignments; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE net_assignments (
    id integer NOT NULL,
    network_id integer NOT NULL,
    interface_id integer NOT NULL
);


ALTER TABLE public.net_assignments OWNER TO nailgun;

--
-- Name: net_assignments_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE net_assignments_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.net_assignments_id_seq OWNER TO nailgun;

--
-- Name: net_assignments_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE net_assignments_id_seq OWNED BY net_assignments.id;


--
-- Name: net_assignments_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('net_assignments_id_seq', 22, true);


--
-- Name: network_groups; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE network_groups (
    id integer NOT NULL,
    name network_group_name NOT NULL,
    release integer,
    cluster_id integer,
    network_size integer,
    amount integer,
    vlan_start integer,
    cidr character varying(25),
    gateway character varying(25),
    netmask character varying(25) NOT NULL
);


ALTER TABLE public.network_groups OWNER TO nailgun;

--
-- Name: network_groups_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE network_groups_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.network_groups_id_seq OWNER TO nailgun;

--
-- Name: network_groups_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE network_groups_id_seq OWNED BY network_groups.id;


--
-- Name: network_groups_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('network_groups_id_seq', 6, true);


--
-- Name: networks; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE networks (
    id integer NOT NULL,
    release integer,
    name character varying(100) NOT NULL,
    vlan_id integer,
    network_group_id integer,
    cidr character varying(25) NOT NULL,
    gateway character varying(25)
);


ALTER TABLE public.networks OWNER TO nailgun;

--
-- Name: networks_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE networks_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.networks_id_seq OWNER TO nailgun;

--
-- Name: networks_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE networks_id_seq OWNED BY networks.id;


--
-- Name: networks_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('networks_id_seq', 11, true);


--
-- Name: neutron_configs; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE neutron_configs (
    id integer NOT NULL,
    cluster_id integer,
    parameters text,
    "L2" text,
    "L3" text,
    predefined_networks text,
    segmentation_type segmentation_type NOT NULL
);


ALTER TABLE public.neutron_configs OWNER TO nailgun;

--
-- Name: neutron_configs_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE neutron_configs_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.neutron_configs_id_seq OWNER TO nailgun;

--
-- Name: neutron_configs_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE neutron_configs_id_seq OWNED BY neutron_configs.id;


--
-- Name: neutron_configs_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('neutron_configs_id_seq', 1, false);


--
-- Name: node_attributes; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE node_attributes (
    id integer NOT NULL,
    node_id integer,
    volumes text,
    interfaces text
);


ALTER TABLE public.node_attributes OWNER TO nailgun;

--
-- Name: node_attributes_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE node_attributes_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.node_attributes_id_seq OWNER TO nailgun;

--
-- Name: node_attributes_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE node_attributes_id_seq OWNED BY node_attributes.id;


--
-- Name: node_attributes_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('node_attributes_id_seq', 3, true);


--
-- Name: node_nic_interfaces; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE node_nic_interfaces (
    id integer NOT NULL,
    node_id integer NOT NULL,
    name character varying(128) NOT NULL,
    mac character varying(32) NOT NULL,
    max_speed integer,
    current_speed integer,
    ip_addr character varying(25),
    netmask character varying(25)
);


ALTER TABLE public.node_nic_interfaces OWNER TO nailgun;

--
-- Name: node_nic_interfaces_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE node_nic_interfaces_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.node_nic_interfaces_id_seq OWNER TO nailgun;

--
-- Name: node_nic_interfaces_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE node_nic_interfaces_id_seq OWNED BY node_nic_interfaces.id;


--
-- Name: node_nic_interfaces_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('node_nic_interfaces_id_seq', 15, true);


--
-- Name: node_roles; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE node_roles (
    id integer NOT NULL,
    role integer,
    node integer
);


ALTER TABLE public.node_roles OWNER TO nailgun;

--
-- Name: node_roles_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE node_roles_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.node_roles_id_seq OWNER TO nailgun;

--
-- Name: node_roles_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE node_roles_id_seq OWNED BY node_roles.id;


--
-- Name: node_roles_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('node_roles_id_seq', 4, true);


--
-- Name: nodes; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE nodes (
    id integer NOT NULL,
    cluster_id integer,
    name character varying(100),
    status node_status NOT NULL,
    meta text,
    mac character varying(17) NOT NULL,
    ip character varying(15),
    fqdn character varying(255),
    manufacturer character varying(50),
    platform_name character varying(150),
    progress integer,
    os_platform character varying(150),
    pending_addition boolean,
    pending_deletion boolean,
    error_type node_error_type,
    error_msg character varying(255),
    "timestamp" timestamp without time zone NOT NULL,
    online boolean
);


ALTER TABLE public.nodes OWNER TO nailgun;

--
-- Name: nodes_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE nodes_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.nodes_id_seq OWNER TO nailgun;

--
-- Name: nodes_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE nodes_id_seq OWNED BY nodes.id;


--
-- Name: nodes_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('nodes_id_seq', 3, true);


--
-- Name: notifications; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE notifications (
    id integer NOT NULL,
    cluster_id integer,
    node_id integer,
    task_id integer,
    topic notif_topic NOT NULL,
    message text,
    status notif_status NOT NULL,
    datetime timestamp without time zone NOT NULL
);


ALTER TABLE public.notifications OWNER TO nailgun;

--
-- Name: notifications_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE notifications_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.notifications_id_seq OWNER TO nailgun;

--
-- Name: notifications_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE notifications_id_seq OWNED BY notifications.id;


--
-- Name: notifications_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('notifications_id_seq', 7, true);


--
-- Name: pending_node_roles; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE pending_node_roles (
    id integer NOT NULL,
    role integer,
    node integer
);


ALTER TABLE public.pending_node_roles OWNER TO nailgun;

--
-- Name: pending_node_roles_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE pending_node_roles_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.pending_node_roles_id_seq OWNER TO nailgun;

--
-- Name: pending_node_roles_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE pending_node_roles_id_seq OWNED BY pending_node_roles.id;


--
-- Name: pending_node_roles_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('pending_node_roles_id_seq', 4, true);


--
-- Name: plugins; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE plugins (
    id integer NOT NULL,
    type plugin_type NOT NULL,
    name character varying(128) NOT NULL,
    state character varying(128) NOT NULL,
    version character varying(128) NOT NULL
);


ALTER TABLE public.plugins OWNER TO nailgun;

--
-- Name: plugins_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE plugins_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.plugins_id_seq OWNER TO nailgun;

--
-- Name: plugins_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE plugins_id_seq OWNED BY plugins.id;


--
-- Name: plugins_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('plugins_id_seq', 1, false);


--
-- Name: red_hat_accounts; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE red_hat_accounts (
    id integer NOT NULL,
    username character varying(100) NOT NULL,
    password character varying(100) NOT NULL,
    license_type license_type NOT NULL,
    satellite character varying(250),
    activation_key character varying(300)
);


ALTER TABLE public.red_hat_accounts OWNER TO nailgun;

--
-- Name: red_hat_accounts_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE red_hat_accounts_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.red_hat_accounts_id_seq OWNER TO nailgun;

--
-- Name: red_hat_accounts_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE red_hat_accounts_id_seq OWNED BY red_hat_accounts.id;


--
-- Name: red_hat_accounts_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('red_hat_accounts_id_seq', 1, false);


--
-- Name: releases; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE releases (
    id integer NOT NULL,
    name character varying(100) NOT NULL,
    version character varying(30) NOT NULL,
    description character varying,
    operating_system character varying(50) NOT NULL,
    state release_state NOT NULL,
    networks_metadata text,
    attributes_metadata text,
    volumes_metadata text,
    modes_metadata text,
    roles_metadata text
);


ALTER TABLE public.releases OWNER TO nailgun;

--
-- Name: releases_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE releases_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.releases_id_seq OWNER TO nailgun;

--
-- Name: releases_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE releases_id_seq OWNED BY releases.id;


--
-- Name: releases_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('releases_id_seq', 3, true);


--
-- Name: roles; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE roles (
    id integer NOT NULL,
    release_id integer,
    name character varying(50) NOT NULL
);


ALTER TABLE public.roles OWNER TO nailgun;

--
-- Name: roles_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE roles_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.roles_id_seq OWNER TO nailgun;

--
-- Name: roles_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE roles_id_seq OWNED BY roles.id;


--
-- Name: roles_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('roles_id_seq', 19, true);


--
-- Name: tasks; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE tasks (
    id integer NOT NULL,
    cluster_id integer,
    uuid character varying(36) NOT NULL,
    name task_name NOT NULL,
    message text,
    status task_status NOT NULL,
    progress integer,
    cache text,
    result text,
    parent_id integer,
    weight double precision
);


ALTER TABLE public.tasks OWNER TO nailgun;

--
-- Name: tasks_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE tasks_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.tasks_id_seq OWNER TO nailgun;

--
-- Name: tasks_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE tasks_id_seq OWNED BY tasks.id;


--
-- Name: tasks_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('tasks_id_seq', 7, true);


--
-- Name: vlan; Type: TABLE; Schema: public; Owner: nailgun; Tablespace: 
--

CREATE TABLE vlan (
    id integer NOT NULL
);


ALTER TABLE public.vlan OWNER TO nailgun;

--
-- Name: vlan_id_seq; Type: SEQUENCE; Schema: public; Owner: nailgun
--

CREATE SEQUENCE vlan_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.vlan_id_seq OWNER TO nailgun;

--
-- Name: vlan_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: nailgun
--

ALTER SEQUENCE vlan_id_seq OWNED BY vlan.id;


--
-- Name: vlan_id_seq; Type: SEQUENCE SET; Schema: public; Owner: nailgun
--

SELECT pg_catalog.setval('vlan_id_seq', 1, false);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY allowed_networks ALTER COLUMN id SET DEFAULT nextval('allowed_networks_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY attributes ALTER COLUMN id SET DEFAULT nextval('attributes_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY capacity_log ALTER COLUMN id SET DEFAULT nextval('capacity_log_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY cluster_changes ALTER COLUMN id SET DEFAULT nextval('cluster_changes_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY clusters ALTER COLUMN id SET DEFAULT nextval('clusters_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY global_parameters ALTER COLUMN id SET DEFAULT nextval('global_parameters_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY ip_addr_ranges ALTER COLUMN id SET DEFAULT nextval('ip_addr_ranges_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY ip_addrs ALTER COLUMN id SET DEFAULT nextval('ip_addrs_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY l2_connections ALTER COLUMN id SET DEFAULT nextval('l2_connections_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY l2_topologies ALTER COLUMN id SET DEFAULT nextval('l2_topologies_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY net_assignments ALTER COLUMN id SET DEFAULT nextval('net_assignments_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY network_groups ALTER COLUMN id SET DEFAULT nextval('network_groups_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY networks ALTER COLUMN id SET DEFAULT nextval('networks_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY neutron_configs ALTER COLUMN id SET DEFAULT nextval('neutron_configs_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_attributes ALTER COLUMN id SET DEFAULT nextval('node_attributes_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_nic_interfaces ALTER COLUMN id SET DEFAULT nextval('node_nic_interfaces_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_roles ALTER COLUMN id SET DEFAULT nextval('node_roles_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY nodes ALTER COLUMN id SET DEFAULT nextval('nodes_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY notifications ALTER COLUMN id SET DEFAULT nextval('notifications_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY pending_node_roles ALTER COLUMN id SET DEFAULT nextval('pending_node_roles_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY plugins ALTER COLUMN id SET DEFAULT nextval('plugins_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY red_hat_accounts ALTER COLUMN id SET DEFAULT nextval('red_hat_accounts_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY releases ALTER COLUMN id SET DEFAULT nextval('releases_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY roles ALTER COLUMN id SET DEFAULT nextval('roles_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY tasks ALTER COLUMN id SET DEFAULT nextval('tasks_id_seq'::regclass);


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY vlan ALTER COLUMN id SET DEFAULT nextval('vlan_id_seq'::regclass);


--
-- Data for Name: allowed_networks; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY allowed_networks (id, network_id, interface_id) FROM stdin;
1	2	11
2	3	11
3	4	11
4	5	11
5	6	11
6	2	12
7	3	12
8	4	12
9	5	12
10	6	12
11	2	14
12	3	14
13	4	14
14	5	14
15	6	14
16	2	13
17	3	13
18	4	13
19	5	13
20	6	13
21	1	15
22	2	15
23	3	15
24	4	15
25	5	15
26	6	15
27	2	2
28	3	2
29	4	2
30	5	2
31	6	2
32	2	1
33	3	1
34	4	1
35	5	1
36	6	1
37	1	5
38	2	5
39	3	5
40	4	5
41	5	5
42	6	5
43	2	3
44	3	3
45	4	3
46	5	3
47	6	3
48	2	4
49	3	4
50	4	4
51	5	4
52	6	4
\.


--
-- Data for Name: attributes; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY attributes (id, cluster_id, editable, generated) FROM stdin;
1	1	{"access": {"password": {"value": "admin", "type": "password", "description": "Password for Administrator", "weight": 20, "label": "password"}, "user": {"value": "admin", "type": "text", "description": "Username for Administrator", "weight": 10, "label": "username"}, "tenant": {"value": "admin", "type": "text", "description": "Tenant (project) name for Administrator", "weight": 30, "label": "tenant"}, "email": {"value": "admin@example.org", "type": "text", "description": "Email address for Administrator", "weight": 40, "label": "email"}}, "syslog": {"syslog_port": {"value": 5514, "type": "text", "description": "Remote syslog port", "weight": 20, "label": "Port"}, "syslog_transport": {"values": [{"data": "udp", "description": "", "label": "UDP"}, {"data": "tcp", "description": "", "label": "TCP"}], "type": "radio", "value": "udp", "weight": 30, "label": "Syslog transport protocol"}, "syslog_server": {"value": "10.108.87.1", "type": "text", "description": "Remote syslog hostname", "weight": 10, "label": "Hostname"}}, "additional_components": {"murano": {"value": false, "type": "checkbox", "description": "If selected, Murano component will be installed", "weight": 20, "label": "Install Murano"}, "heat": {"value": false, "type": "hidden", "description": "", "weight": 30, "label": ""}, "savanna": {"value": false, "type": "checkbox", "description": "If selected, Savanna component will be installed", "weight": 10, "label": "Install Savanna"}}, "storage": {"osd_pool_size": {"value": "2", "type": "text", "description": "Defines the number of object replicas in Ceph pools. At least that many Ceph-OSD nodes must be deployed.", "weight": 70, "label": "Ceph object replication factor"}, "volumes_lvm": {"value": false, "type": "checkbox", "description": "Requires at least one Cinder node", "weight": 10, "label": "Cinder LVM over iSCSI for volumes"}, "images_ceph": {"value": true, "type": "checkbox", "description": "Requires at least two Ceph-OSD nodes", "weight": 30, "label": "Ceph RBD for images"}, "volumes_ceph": {"value": true, "type": "checkbox", "description": "Requires at least two Ceph-OSD nodes", "weight": 20, "label": "Ceph RBD for volumes"}, "objects_ceph": {"value": false, "type": "checkbox", "description": "Requires at least two Ceph-OSD nodes, incompatible with Swift", "weight": 40, "label": "Ceph rados-gw for objects"}}, "common": {"auto_assign_floating_ip": {"value": false, "type": "checkbox", "description": "If true, OpenStack will automatically assign a floating IP to a new instance", "weight": 40, "label": "Auto assign floating IP"}, "use_cow_images": {"value": true, "type": "checkbox", "description": "For most cases you will want qcow format. If it's set to false, raw image format will be used to run VMs. OpenStack with raw format currently does not support snapshotting.", "weight": 50, "label": "Use qcow format for images"}, "auth_key": {"value": "", "type": "text", "description": "Public key(s) to include in authorized_keys on deployed nodes", "weight": 80, "label": "Public Key"}, "compute_scheduler_driver": {"values": [{"data": "nova.scheduler.filter_scheduler.FilterScheduler", "description": "Currently the most advanced OpenStack scheduler. See the OpenStack documentation for details.", "label": "Filter scheduler"}, {"data": "nova.scheduler.simple.SimpleScheduler", "description": "This is 'naive' scheduler which tries to find the least loaded host", "label": "Simple scheduler"}], "type": "radio", "value": "nova.scheduler.filter_scheduler.FilterScheduler", "weight": 70, "label": "Scheduler driver"}, "libvirt_type": {"values": [{"data": "kvm", "description": "Choose this type of hypervisor if you run OpenStack on hardware", "label": "KVM"}, {"data": "qemu", "description": "Choose this type of hypervisor if you run OpenStack on virtual hosts.", "label": "QEMU"}], "type": "radio", "value": "qemu", "weight": 30, "label": "Hypervisor type"}, "start_guests_on_host_boot": {"value": true, "type": "checkbox", "description": "Whether to (re-)start guests when the host reboots. If enabled, this option causes guests assigned to the host to be unconditionally restarted when nova-compute starts. If the guest is found to be stopped, it starts. If it is found to be running, it reboots.", "weight": 60, "label": "Start guests on host boot"}, "debug": {"value": true, "type": "checkbox", "description": "Debug logging mode provides more information, but requires more disk space.", "weight": 20, "label": "OpenStack debug logging"}}}	{"quantum_settings": {"metadata": {"metadata_proxy_shared_secret": "DgPHlsMl"}, "keystone": {"admin_password": "kqcuVkYG"}, "database": {"passwd": "aS5eGjCY"}}, "base_syslog": {"syslog_port": "514", "syslog_server": "10.108.87.2"}, "murano": {"db_password": "VGuZR8PR"}, "nova": {"db_password": "Qti968UL", "user_password": "AdVGWXAO", "state_path": "/var/lib/nova"}, "heat": {"db_password": "1xgrs6rW", "rabbit_user": "RKHKgDSH", "rabbit_password": "psvtBt0A"}, "cobbler": {"profile": "ubuntu_1204_x86_64"}, "rabbit": {"password": "YbsIqj9h"}, "mysql": {"root_password": "ZQ5TIKga"}, "keystone": {"db_password": "PTJYweun", "admin_token": "DbvSEPv1"}, "glance": {"db_password": "2VhyZkUB", "user_password": "oUcIl7OT"}, "cinder": {"db_password": "4BntLzHR", "user_password": "ZA0sRfMk"}, "swift": {"user_password": "NWDsCh19"}, "savanna": {"db_password": "GIBgleOr"}}
\.


--
-- Data for Name: capacity_log; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY capacity_log (id, report, datetime) FROM stdin;
\.


--
-- Data for Name: cluster_changes; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY cluster_changes (id, cluster_id, node_id, name) FROM stdin;
\.


--
-- Data for Name: clusters; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY clusters (id, mode, status, net_provider, net_l23_provider, net_segment_type, net_manager, grouping, name, release_id, dns_nameservers, replaced_deployment_info, replaced_provisioning_info, is_customized) FROM stdin;
1	multinode	operational	nova_network	ovs	vlan	FlatDHCPManager	roles	CephCompact	3	["8.8.8.8", "8.8.4.4"]	{}	{}	f
\.


--
-- Data for Name: global_parameters; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY global_parameters (id, parameters) FROM stdin;
1	{"net_exclude": "10.20.0.0/24", "vlan_range": [100, 1000]}
\.


--
-- Data for Name: ip_addr_ranges; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY ip_addr_ranges (id, network_group_id, first, last) FROM stdin;
1	1	10.108.87.3	10.108.87.127
7	2	10.108.90.128	10.108.90.254
8	3	10.108.90.2	10.108.90.127
10	4	10.108.93.2	10.108.93.254
12	5	10.108.99.2	10.108.99.254
14	6	10.0.0.2	10.0.255.254
\.


--
-- Data for Name: ip_addrs; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY ip_addrs (id, network, node, ip_addr) FROM stdin;
1	1	1	10.108.87.3
2	1	1	10.108.87.4
3	1	1	10.108.87.5
4	1	1	10.108.87.6
5	1	1	10.108.87.7
6	1	3	10.108.87.8
7	1	3	10.108.87.9
8	1	3	10.108.87.10
9	1	3	10.108.87.11
10	1	3	10.108.87.12
11	9	1	10.108.93.2
12	9	3	10.108.93.3
13	8	1	10.108.90.2
14	8	3	10.108.90.3
15	10	1	10.108.99.2
16	10	3	10.108.99.3
\.


--
-- Data for Name: l2_connections; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY l2_connections (id, topology_id, interface_id) FROM stdin;
\.


--
-- Data for Name: l2_topologies; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY l2_topologies (id, network_id) FROM stdin;
\.


--
-- Data for Name: net_assignments; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY net_assignments (id, network_id, interface_id) FROM stdin;
13	5	1
14	6	2
15	4	3
16	2	4
17	3	4
18	5	11
19	6	12
20	4	13
21	2	14
22	3	14
\.


--
-- Data for Name: network_groups; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY network_groups (id, name, release, cluster_id, network_size, amount, vlan_start, cidr, gateway, netmask) FROM stdin;
1	fuelweb_admin	\N	\N	256	1	\N	10.108.87.0/24	\N	255.255.255.0
2	floating	3	1	256	1	\N	10.108.90.0/24	10.108.90.1	255.255.255.0
3	public	3	1	256	1	\N	10.108.90.0/24	10.108.90.1	255.255.255.0
4	management	3	1	256	1	\N	10.108.93.0/24	10.108.93.1	255.255.255.0
5	storage	3	1	256	1	\N	10.108.99.0/24	10.108.99.1	255.255.255.0
6	fixed	3	1	256	1	103	10.0.0.0/16	10.0.0.1	255.255.0.0
\.


--
-- Data for Name: networks; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY networks (id, release, name, vlan_id, network_group_id, cidr, gateway) FROM stdin;
1	\N	fuelweb_admin	\N	1	10.108.87.0/24	\N
7	3	floating	\N	2	10.108.90.0/24	10.108.90.1
8	3	public	\N	3	10.108.90.0/24	10.108.90.1
9	3	management	\N	4	10.108.93.0/24	10.108.93.1
10	3	storage	\N	5	10.108.99.0/24	10.108.99.1
11	3	fixed	103	6	10.0.0.0/24	10.0.0.1
\.


--
-- Data for Name: neutron_configs; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY neutron_configs (id, cluster_id, parameters, "L2", "L3", predefined_networks, segmentation_type) FROM stdin;
\.


--
-- Data for Name: node_attributes; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY node_attributes (id, node_id, volumes, interfaces) FROM stdin;
2	2	[{"name": "vda", "free_space": 50700, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:08.0-virtio-pci-virtio5", "size": 51200}, {"name": "vdb", "free_space": 50700, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:09.0-virtio-pci-virtio6", "size": 51200}, {"name": "vdc", "free_space": 50700, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:0a.0-virtio-pci-virtio7", "size": 51200}]	{}
1	1	[{"name": "vda", "free_space": 30720, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "type": "partition", "file_system": "none", "size": 0}, {"size": 19916, "type": "pv", "lvm_meta_size": 64, "vg": "os"}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "image"}], "type": "disk", "id": "disk/by-path/pci-0000:00:08.0-virtio-pci-virtio5", "size": 51200}, {"name": "vdb", "free_space": 30720, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "type": "partition", "file_system": "none", "size": 10852}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "os"}, {"size": 9064, "type": "pv", "lvm_meta_size": 64, "vg": "image"}], "type": "disk", "id": "disk/by-path/pci-0000:00:09.0-virtio-pci-virtio6", "size": 51200}, {"name": "vdc", "free_space": 0, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 128}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "type": "partition", "file_system": "none", "size": 50572}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "os"}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "image"}], "type": "disk", "id": "disk/by-path/pci-0000:00:0a.0-virtio-pci-virtio7", "size": 51200}, {"_allocate_size": "min", "label": "Base System", "min_size": 17408, "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": 17804}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": 2048}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Image Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/glance", "type": "lv", "name": "glance", "file_system": "xfs", "size": 9000}], "type": "vg", "id": "image"}]	{}
3	3	[{"name": "vda", "free_space": 30720, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "type": "partition", "file_system": "none", "size": 0}, {"size": 19916, "type": "pv", "lvm_meta_size": 64, "vg": "os"}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "vm"}], "type": "disk", "id": "disk/by-path/pci-0000:00:08.0-virtio-pci-virtio5", "size": 51200}, {"name": "vdb", "free_space": 30720, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 64}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "type": "partition", "file_system": "none", "size": 10852}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "os"}, {"size": 9064, "type": "pv", "lvm_meta_size": 64, "vg": "vm"}], "type": "disk", "id": "disk/by-path/pci-0000:00:09.0-virtio-pci-virtio6", "size": 51200}, {"name": "vdc", "free_space": 0, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "type": "raid", "file_system": "ext2", "name": "Boot", "size": 200}, {"type": "lvm_meta_pool", "size": 128}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "type": "partition", "file_system": "none", "size": 50572}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "os"}, {"size": 0, "type": "pv", "lvm_meta_size": 0, "vg": "vm"}], "type": "disk", "id": "disk/by-path/pci-0000:00:0a.0-virtio-pci-virtio7", "size": 51200}, {"_allocate_size": "min", "label": "Base System", "min_size": 17408, "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": 17804}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": 2048}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Virtual Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/nova", "type": "lv", "name": "nova", "file_system": "xfs", "size": 9000}], "type": "vg", "id": "vm"}]	{}
\.


--
-- Data for Name: node_nic_interfaces; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY node_nic_interfaces (id, node_id, name, mac, max_speed, current_speed, ip_addr, netmask) FROM stdin;
2	1	eth3	64:D2:B2:8F:BD:C1	\N	\N	\N	\N
6	2	eth4	64:CE:75:DC:35:F0	\N	\N	\N	\N
7	2	eth3	64:DC:DF:2F:7E:F6	\N	\N	\N	\N
8	2	eth2	64:36:FC:A0:BE:A4	\N	\N	\N	\N
9	2	eth1	64:DC:7A:76:36:E5	\N	\N	\N	\N
10	2	eth0	64:F7:8A:60:F7:C2	\N	\N	10.108.87.229	255.255.255.0
12	3	eth3	64:5B:A0:C5:8F:92	\N	\N	\N	\N
15	3	eth0	64:52:AD:7D:87:DE	\N	\N	10.108.87.8	255.255.255.0
5	1	eth0	64:38:44:56:32:F6	\N	\N	10.108.87.3	255.255.255.0
1	1	eth4	64:08:22:4E:1D:5D	\N	\N	10.108.99.2	255.255.255.0
3	1	eth2	64:ED:5B:5C:31:E3	\N	\N	10.108.93.2	255.255.255.0
4	1	eth1	64:8F:3B:C9:79:41	\N	\N	10.108.90.2	255.255.255.0
11	3	eth4	64:8C:78:0E:08:7C	\N	\N	10.108.99.3	255.255.255.0
13	3	eth2	64:8C:DB:3C:AA:CB	\N	\N	10.108.93.3	255.255.255.0
14	3	eth1	64:A1:E8:03:55:44	\N	\N	10.108.90.3	255.255.255.0
\.


--
-- Data for Name: node_roles; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY node_roles (id, role, node) FROM stdin;
1	16	1
2	17	1
3	18	3
4	19	3
\.


--
-- Data for Name: nodes; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY nodes (id, cluster_id, name, status, meta, mac, ip, fqdn, manufacturer, platform_name, progress, os_platform, pending_addition, pending_deletion, error_type, error_msg, "timestamp", online) FROM stdin;
2	\N	Untitled (F7:C2)	discover	{"system": {"fqdn": "bootstrap", "manufacturer": "KVM"}, "interfaces": [{"mac": "64:CE:75:DC:35:F0", "max_speed": null, "name": "eth4", "current_speed": null}, {"mac": "64:DC:DF:2F:7E:F6", "max_speed": null, "name": "eth3", "current_speed": null}, {"mac": "64:36:FC:A0:BE:A4", "max_speed": null, "name": "eth2", "current_speed": null}, {"mac": "64:DC:7A:76:36:E5", "max_speed": null, "name": "eth1", "current_speed": null}, {"name": "eth0", "ip": "10.108.87.229", "mac": "64:F7:8A:60:F7:C2", "netmask": "255.255.255.0", "max_speed": null, "current_speed": null}], "disks": [{"model": null, "disk": "disk/by-path/pci-0000:00:0a.0-virtio-pci-virtio7", "name": "vdc", "size": 53687091200}, {"model": null, "disk": "disk/by-path/pci-0000:00:09.0-virtio-pci-virtio6", "name": "vdb", "size": 53687091200}, {"model": null, "disk": "disk/by-path/pci-0000:00:08.0-virtio-pci-virtio5", "name": "vda", "size": 53687091200}], "cpu": {"real": 0, "total": 1, "spec": [{"model": "QEMU Virtual CPU version 1.2.0", "frequency": 1999}]}, "memory": {"slots": 1, "total": 1073741824, "maximum_capacity": 1073741824, "devices": [{"type": "RAM", "size": 1073741824}]}}	64:F7:8A:60:F7:C2	10.108.87.229	\N	KVM	\N	0	centos	f	f	\N	\N	2013-11-29 04:48:02.796627	t
1	1	slave-01_controller_ceph-osd	ready	{"system": {"fqdn": "node-1.test.domain.local", "manufacturer": "KVM"}, "interfaces": [{"name": "eth4", "ip": "10.108.99.2", "state": "up", "mac": "64:08:22:4E:1D:5D", "max_speed": null, "current_speed": null, "netmask": "255.255.255.0"}, {"mac": "64:D2:B2:8F:BD:C1", "state": "up", "max_speed": null, "name": "eth3", "current_speed": null}, {"name": "eth2", "ip": "10.108.93.2", "state": "up", "mac": "64:ED:5B:5C:31:E3", "max_speed": null, "current_speed": null, "netmask": "255.255.255.0"}, {"name": "eth1", "ip": "10.108.90.2", "state": "up", "mac": "64:8F:3B:C9:79:41", "max_speed": null, "current_speed": null, "netmask": "255.255.255.0"}, {"name": "eth0", "ip": "10.108.87.3", "state": "up", "mac": "64:38:44:56:32:F6", "max_speed": null, "current_speed": null, "netmask": "255.255.255.0"}], "disks": [{"model": null, "disk": "disk/by-path/pci-0000:00:0a.0-virtio-pci-virtio7", "name": "vdc", "size": 53687091200}, {"model": null, "disk": "disk/by-path/pci-0000:00:09.0-virtio-pci-virtio6", "name": "vdb", "size": 53687091200}, {"model": null, "disk": "disk/by-path/pci-0000:00:08.0-virtio-pci-virtio5", "name": "vda", "size": 53687091200}], "cpu": {"real": 0, "total": 1, "spec": [{"model": "QEMU Virtual CPU version 1.2.0", "frequency": 1999}]}, "memory": {"slots": 1, "total": 1073741824, "maximum_capacity": 1073741824, "devices": [{"type": "RAM", "size": 1073741824}]}}	64:38:44:56:32:F6	10.108.87.3	node-1.test.domain.local	KVM	\N	100	ubuntu	f	f	\N	\N	2013-11-29 04:47:19.989841	t
3	1	slave-02_compute_ceph-osd	ready	{"system": {"fqdn": "node-3.test.domain.local", "manufacturer": "KVM"}, "interfaces": [{"name": "eth4", "ip": "10.108.99.3", "state": "up", "mac": "64:8C:78:0E:08:7C", "max_speed": null, "current_speed": null, "netmask": "255.255.255.0"}, {"mac": "64:5B:A0:C5:8F:92", "state": "up", "max_speed": null, "name": "eth3", "current_speed": null}, {"name": "eth2", "ip": "10.108.93.3", "state": "up", "mac": "64:8C:DB:3C:AA:CB", "max_speed": null, "current_speed": null, "netmask": "255.255.255.0"}, {"name": "eth1", "ip": "10.108.90.3", "state": "up", "mac": "64:A1:E8:03:55:44", "max_speed": null, "current_speed": null, "netmask": "255.255.255.0"}, {"name": "eth0", "ip": "10.108.87.8", "state": "up", "mac": "64:52:AD:7D:87:DE", "max_speed": null, "current_speed": null, "netmask": "255.255.255.0"}], "disks": [{"model": null, "disk": "disk/by-path/pci-0000:00:0a.0-virtio-pci-virtio7", "name": "vdc", "size": 53687091200}, {"model": null, "disk": "disk/by-path/pci-0000:00:09.0-virtio-pci-virtio6", "name": "vdb", "size": 53687091200}, {"model": null, "disk": "disk/by-path/pci-0000:00:08.0-virtio-pci-virtio5", "name": "vda", "size": 53687091200}], "cpu": {"real": 0, "total": 1, "spec": [{"model": "QEMU Virtual CPU version 1.2.0", "frequency": 1999}]}, "memory": {"slots": 1, "total": 1073741824, "maximum_capacity": 1073741824, "devices": [{"type": "RAM", "size": 1073741824}]}}	64:52:AD:7D:87:DE	10.108.87.8	node-3.test.domain.local	KVM	\N	100	ubuntu	f	f	\N	\N	2013-11-29 04:48:22.919499	t
\.


--
-- Data for Name: notifications; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY notifications (id, cluster_id, node_id, task_id, topic, message, status, datetime) FROM stdin;
1	\N	\N	\N	done	Master node installation has been completed successfully. Now you can boot new nodes over PXE, they will be discovered and become available for installing OpenStack on them	unread	2013-11-29 04:04:26.367772
2	\N	1	\N	discover	New node is discovered: 1 CPUs / 1.0 GB RAM / 0.161 TB HDD 	unread	2013-11-29 04:09:32.639839
3	\N	2	\N	discover	New node is discovered: 1 CPUs / 1.0 GB RAM / 0.161 TB HDD 	unread	2013-11-29 04:09:43.198821
4	\N	3	\N	discover	New node is discovered: 1 CPUs / 1.0 GB RAM / 0.161 TB HDD 	unread	2013-11-29 04:09:47.006209
5	\N	1	\N	error	Node 'slave-01_controller_ceph-osd' has gone away	unread	2013-11-29 04:23:40.662184
6	\N	1	\N	discover	Node 'slave-01_controller_ceph-osd' is back online	unread	2013-11-29 04:24:21.604456
7	1	\N	\N	done	Deployment of environment 'CephCompact' is done. Access the OpenStack dashboard (Horizon) at http://10.108.90.2/ or via internal network at http://10.108.87.3/	unread	2013-11-29 04:32:18.744947
\.


--
-- Data for Name: pending_node_roles; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY pending_node_roles (id, role, node) FROM stdin;
\.


--
-- Data for Name: plugins; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY plugins (id, type, name, state, version) FROM stdin;
\.


--
-- Data for Name: red_hat_accounts; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY red_hat_accounts (id, username, password, license_type, satellite, activation_key) FROM stdin;
\.


--
-- Data for Name: releases; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY releases (id, name, version, description, operating_system, state, networks_metadata, attributes_metadata, volumes_metadata, modes_metadata, roles_metadata) FROM stdin;
1	Grizzly on CentOS 6.4	2013.1.4	This option will install the OpenStack Grizzly packages using CentOS as a base operating system. With high availability features built in, you are getting a robust, enterprise-grade OpenStack deployment.	CentOS	available	{"nova_network": {"networks": [{"network_size": 256, "name": "floating", "assign_vip": false, "netmask": "255.255.255.0", "ip_range": ["172.16.0.128", "172.16.0.254"], "vlan_start": null, "cidr": "172.16.0.0/24", "gateway": "172.16.0.1"}, {"name": "public", "assign_vip": true, "netmask": "255.255.255.0", "ip_range": ["172.16.0.2", "172.16.0.127"], "vlan_start": null, "cidr": "172.16.0.0/24", "gateway": "172.16.0.1"}, {"name": "management", "assign_vip": true, "netmask": "255.255.255.0", "ip_range": ["192.168.0.1", "192.168.0.254"], "vlan_start": 101, "cidr": "192.168.0.0/24", "gateway": "192.168.0.1"}, {"name": "storage", "assign_vip": false, "netmask": "255.255.255.0", "ip_range": ["192.168.1.1", "192.168.1.254"], "vlan_start": 102, "cidr": "192.168.1.0/24", "gateway": "192.168.1.1"}, {"name": "fixed", "assign_vip": false, "netmask": "255.255.0.0", "ip_range": ["10.0.0.2", "10.0.255.254"], "vlan_start": 103, "cidr": "10.0.0.0/16", "gateway": "10.0.0.1"}]}, "neutron": {"config": {"parameters": {"metadata": {"metadata_proxy_shared_secret": ""}, "keystone": {"admin_user": null, "admin_password": ""}, "amqp": {"username": null, "passwd": "", "hosts": "hostname1:5672, hostname2:5672", "provider": "rabbitmq"}, "database": {"username": null, "passwd": "", "database": null, "port": "3306", "provider": "mysql"}}}, "networks": [{"vlan_start": null, "assign_vip": true, "name": "public", "pool": ["172.16.0.0/24"], "ip_range": ["172.16.0.2", "172.16.0.126"]}, {"name": "management", "pool": ["192.168.0.0/24"], "assign_vip": true}, {"name": "storage", "pool": ["192.168.1.0/24"], "assign_vip": false}]}}	{"generated": {"quantum_settings": {"metadata": {"metadata_proxy_shared_secret": {"generator": "password"}}, "keystone": {"admin_password": {"generator": "password"}}, "database": {"passwd": {"generator": "password"}}}, "base_syslog": {"syslog_port": {"generator": "identical", "generator_arg": "514"}, "syslog_server": {"generator": "ip", "generator_arg": "admin"}}, "heat": {"db_password": {"generator": "password"}, "rabbit_user": {"generator": "password"}, "rabbit_password": {"generator": "password"}}, "nova": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "state_path": "/var/lib/nova"}, "murano": {"db_password": {"generator": "password"}}, "keystone": {"db_password": {"generator": "password"}, "admin_token": {"generator": "password"}}, "rabbit": {"password": {"generator": "password"}}, "mysql": {"root_password": {"generator": "password"}}, "cinder": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}}, "glance": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}}, "cobbler": {"profile": {"generator": "identical", "generator_arg": "centos-x86_64"}}, "swift": {"user_password": {"generator": "password"}}, "savanna": {"db_password": {"generator": "password"}}}, "editable": {"access": {"password": {"weight": 20, "type": "password", "description": "Password for Administrator", "value": "admin", "label": "password"}, "user": {"weight": 10, "type": "text", "description": "Username for Administrator", "value": "admin", "label": "username"}, "tenant": {"weight": 30, "type": "text", "description": "Tenant (project) name for Administrator", "value": "admin", "label": "tenant"}, "email": {"weight": 40, "type": "text", "description": "Email address for Administrator", "value": "admin@example.org", "label": "email"}}, "syslog": {"syslog_port": {"weight": 20, "type": "text", "description": "Remote syslog port", "value": "514", "label": "Port"}, "syslog_transport": {"type": "radio", "values": [{"data": "udp", "description": "", "label": "UDP"}, {"data": "tcp", "description": "", "label": "TCP"}], "weight": 30, "value": "udp", "label": "Syslog transport protocol"}, "syslog_server": {"weight": 10, "type": "text", "description": "Remote syslog hostname", "value": "", "label": "Hostname"}}, "additional_components": {"murano": {"weight": 20, "type": "checkbox", "description": "If selected, Murano component will be installed", "value": false, "label": "Install Murano"}, "heat": {"weight": 30, "type": "hidden", "description": "", "value": false, "label": ""}, "savanna": {"weight": 10, "type": "checkbox", "description": "If selected, Savanna component will be installed", "value": false, "label": "Install Savanna"}}, "storage": {"osd_pool_size": {"weight": 70, "type": "text", "description": "Defines the number of object replicas in Ceph pools. At least that many Ceph-OSD nodes must be deployed.", "value": "2", "label": "Ceph object replication factor"}, "volumes_ceph": {"weight": 20, "type": "checkbox", "description": "Requires at least two Ceph-OSD nodes", "value": false, "label": "Ceph RBD for volumes"}, "images_ceph": {"weight": 30, "type": "checkbox", "description": "Requires at least two Ceph-OSD nodes", "value": false, "label": "Ceph RBD for images"}, "volumes_lvm": {"weight": 10, "type": "checkbox", "description": "Requires at least one Cinder node", "value": false, "label": "Cinder LVM over iSCSI for volumes"}, "objects_ceph": {"weight": 40, "type": "checkbox", "description": "Requires at least two Ceph-OSD nodes, incompatible with Swift", "value": false, "label": "Ceph rados-gw for objects"}}, "common": {"auto_assign_floating_ip": {"weight": 40, "type": "checkbox", "description": "If true, OpenStack will automatically assign a floating IP to a new instance", "value": false, "label": "Auto assign floating IP"}, "use_cow_images": {"weight": 50, "type": "checkbox", "description": "For most cases you will want qcow format. If it's set to false, raw image format will be used to run VMs. OpenStack with raw format currently does not support snapshotting.", "value": true, "label": "Use qcow format for images"}, "auth_key": {"weight": 70, "type": "text", "description": "Public key(s) to include in authorized_keys on deployed nodes", "value": "", "label": "Public Key"}, "compute_scheduler_driver": {"type": "radio", "values": [{"data": "nova.scheduler.filter_scheduler.FilterScheduler", "description": "Currently the most advanced OpenStack scheduler. See the OpenStack documentation for details.", "label": "Filter scheduler"}, {"data": "nova.scheduler.simple.SimpleScheduler", "description": "This is 'naive' scheduler which tries to find the least loaded host", "label": "Simple scheduler"}], "weight": 40, "value": "nova.scheduler.filter_scheduler.FilterScheduler", "label": "Scheduler driver"}, "libvirt_type": {"type": "radio", "values": [{"data": "kvm", "description": "Choose this type of hypervisor if you run OpenStack on hardware", "label": "KVM"}, {"data": "qemu", "description": "Choose this type of hypervisor if you run OpenStack on virtual hosts.", "label": "QEMU"}], "weight": 30, "value": "qemu", "label": "Hypervisor type"}, "start_guests_on_host_boot": {"weight": 60, "type": "checkbox", "description": "Whether to (re-)start guests when the host reboots. If enabled, this option causes guests assigned to the host to be unconditionally restarted when nova-compute starts. If the guest is found to be stopped, it starts. If it is found to be running, it reboots.", "value": true, "label": "Start guests on host boot"}, "debug": {"weight": 20, "type": "checkbox", "description": "Debug logging mode provides more information, but requires more disk space.", "value": false, "label": "OpenStack debug logging"}}}}	{"volumes_roles_mapping": {"ceph-osd": [{"id": "os", "allocate_size": "min"}, {"id": "cephjournal", "allocate_size": "min"}, {"id": "ceph", "allocate_size": "full-disk"}], "controller": [{"id": "os", "allocate_size": "min"}, {"id": "image", "allocate_size": "all"}], "other": [{"id": "os", "allocate_size": "all"}], "compute": [{"id": "os", "allocate_size": "min"}, {"id": "vm", "allocate_size": "all"}], "cinder": [{"id": "os", "allocate_size": "min"}, {"id": "cinder", "allocate_size": "all"}]}, "volumes": [{"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "Ceph", "mount": "none", "label": "Ceph", "min_size": {"generator": "calc_min_ceph_size"}, "type": "partition", "id": "ceph", "file_system": "none"}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "Ceph Journal", "mount": "none", "label": "Ceph Journal", "min_size": {"generator": "calc_min_ceph_journal_size"}, "type": "partition", "id": "cephjournal", "file_system": "none"}, {"min_size": {"generator": "calc_min_os_size"}, "type": "vg", "id": "os", "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": {"generator": "calc_total_root_vg"}}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": {"generator": "calc_swap_size"}}], "label": "Base System"}, {"min_size": {"generator": "calc_min_vm_size"}, "type": "vg", "id": "vm", "volumes": [{"mount": "/var/lib/nova", "type": "lv", "name": "nova", "file_system": "xfs", "size": {"generator_args": ["vm"], "generator": "calc_total_vg"}}], "label": "Virtual Storage"}, {"min_size": {"generator": "calc_min_glance_size"}, "type": "vg", "id": "image", "volumes": [{"mount": "/var/lib/glance", "type": "lv", "name": "glance", "file_system": "xfs", "size": {"generator_args": ["image"], "generator": "calc_total_vg"}}], "label": "Image Storage"}, {"min_size": {"generator": "calc_min_cinder_size"}, "type": "vg", "id": "cinder", "volumes": [], "label": "Cinder"}]}	{"ha_compact": {"description": "This configuration requires multiple OpenStack controllers (3+) and provides high availability for all OpenStack components, including MySQL/Galera, RabbitMQ, and Cinder, as well as OpenStack API services. Select this configuration if you want to build a production-grade OpenStack cloud with 6 nodes or more."}, "multinode": {"description": "In this configuration the OpenStack controller is deployed separately from the compute and cinder nodes. This mode assumes the presence of 1 controller node and 1 or more compute/cinder nodes. You can add more nodes to scale your cloud later."}}	{"cinder": {"name": "Cinder", "description": "Cinder provides an infrastructure for managing block storage volumes in OpenStack.  Block storage can be used for database storage, expandable file systems, or providing a server with access to raw block level storage."}, "controller": {"conflicts": ["compute"], "name": "Controller", "description": "The controller initiates orchestration activities and provides an external API.  Other components like Glance (image storage), Keystone (identity management), Horizon (OpenStack dashboard) and Nova-Scheduler are installed on the controller as well."}, "compute": {"conflicts": ["controller"], "name": "Compute", "description": "A compute node creates, manages and terminates virtual machine instances."}, "ceph-osd": {"name": "Ceph OSD", "description": "Ceph OSD is the object storage daemon for the Ceph distributed file system.  It is responsible for storing objects on a local file system and providing access to them over the network, for example to Glance."}}
2	RHOS 3.0 for RHEL 6.4	2013.1.4	This option will install the Red Hat Enterprise Linux OpenStack Platform using RHEL as a base operating system.  With high availability features built in, you are getting a robust enterprise-grade OpenStack deployment.	RHEL	not_available	{"nova_network": {"networks": [{"network_size": 256, "name": "floating", "assign_vip": false, "netmask": "255.255.255.0", "ip_range": ["172.16.0.128", "172.16.0.254"], "vlan_start": null, "cidr": "172.16.0.0/24", "gateway": "172.16.0.1"}, {"name": "public", "assign_vip": true, "netmask": "255.255.255.0", "ip_range": ["172.16.0.2", "172.16.0.127"], "vlan_start": null, "cidr": "172.16.0.0/24", "gateway": "172.16.0.1"}, {"name": "management", "assign_vip": true, "netmask": "255.255.255.0", "ip_range": ["192.168.0.1", "192.168.0.254"], "vlan_start": 101, "cidr": "192.168.0.0/24", "gateway": "192.168.0.1"}, {"name": "storage", "assign_vip": false, "netmask": "255.255.255.0", "ip_range": ["192.168.1.1", "192.168.1.254"], "vlan_start": 102, "cidr": "192.168.1.0/24", "gateway": "192.168.1.1"}, {"name": "fixed", "assign_vip": false, "netmask": "255.255.0.0", "ip_range": ["10.0.0.2", "10.0.255.254"], "vlan_start": 103, "cidr": "10.0.0.0/16", "gateway": "10.0.0.1"}]}}	{"generated": {"base_syslog": {"syslog_port": {"generator": "identical", "generator_arg": "514"}, "syslog_server": {"generator": "ip", "generator_arg": "admin"}}, "storage": {"osd_pool_size": "2", "volumes_ceph": false, "images_ceph": false, "volumes_lvm": true, "objects_ceph": false}, "murano": {"enabled": false}, "nova": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "state_path": "/var/lib/nova"}, "heat": {"enabled": false}, "keystone": {"db_password": {"generator": "password"}, "admin_token": {"generator": "password"}}, "rabbit": {"password": {"generator": "password"}}, "mysql": {"root_password": {"generator": "password"}}, "cinder": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}}, "glance": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}}, "cobbler": {"profile": {"generator": "identical", "generator_arg": "rhel-x86_64"}}, "swift": {"user_password": {"generator": "password"}}, "savanna": {"enabled": false}}, "editable": {"access": {"password": {"weight": 20, "type": "password", "description": "Password for Administrator", "value": "admin", "label": "password"}, "user": {"weight": 10, "type": "text", "description": "Username for Administrator", "value": "admin", "label": "username"}, "tenant": {"weight": 30, "type": "text", "description": "Tenant (project) name for Administrator", "value": "admin", "label": "tenant"}, "email": {"weight": 40, "type": "text", "description": "Email address for Administrator", "value": "admin@example.org", "label": "email"}}, "syslog": {"syslog_port": {"weight": 20, "type": "text", "description": "Remote syslog port", "value": "514", "label": "Port"}, "syslog_transport": {"type": "radio", "values": [{"data": "udp", "description": "", "label": "UDP"}, {"data": "tcp", "description": "", "label": "TCP"}], "weight": 30, "value": "udp", "label": "Syslog transport protocol"}, "syslog_server": {"weight": 10, "type": "text", "description": "Remote syslog hostname", "value": "", "label": "Hostname"}}, "storage": {"volumes_lvm": {"weight": 10, "type": "checkbox", "description": "Requires at least one Cinder node", "value": false, "label": "Cinder LVM over iSCSI for volumes"}}, "common": {"auto_assign_floating_ip": {"weight": 40, "type": "checkbox", "description": "If true, OpenStack will automatically assign a floating IP to a new instance", "value": false, "label": "Auto assign floating IP"}, "use_cow_images": {"weight": 50, "type": "checkbox", "description": "For most cases you will want qcow format. If it's set to false, raw image format will be used to run VMs. OpenStack with raw format currently does not support snapshotting.", "value": true, "label": "Use qcow format for images"}, "auth_key": {"weight": 80, "type": "text", "description": "Public key(s) to include in authorized_keys on deployed nodes", "value": "", "label": "Public Key"}, "compute_scheduler_driver": {"type": "radio", "values": [{"data": "nova.scheduler.filter_scheduler.FilterScheduler", "description": "Currently the most advanced OpenStack scheduler. See the OpenStack documentation for details.", "label": "Filter scheduler"}, {"data": "nova.scheduler.simple.SimpleScheduler", "description": "This is 'naive' scheduler which tries to find the least loaded host", "label": "Simple scheduler"}], "weight": 60, "value": "nova.scheduler.filter_scheduler.FilterScheduler", "label": "Scheduler driver"}, "libvirt_type": {"type": "radio", "values": [{"data": "kvm", "description": "Choose this type of hypervisor if you run OpenStack on hardware", "label": "KVM"}, {"data": "qemu", "description": "Choose this type of hypervisor if you run OpenStack on virtual hosts.", "label": "QEMU"}], "weight": 30, "value": "qemu", "label": "Hypervisor type"}, "start_guests_on_host_boot": {"weight": 70, "type": "checkbox", "description": "Whether to (re-)start guests when the host reboots. If enabled, this option causes guests assigned to the host to be unconditionally restarted when nova-compute starts. If the guest is found to be stopped, it starts. If it is found to be running, it reboots.", "value": true, "label": "Start guests on host boot"}, "debug": {"weight": 20, "type": "checkbox", "description": "Debug logging mode provides more information, but requires more disk space.", "value": false, "label": "OpenStack debug logging"}}}}	{"volumes_roles_mapping": {"cinder": [{"id": "os", "allocate_size": "min"}, {"id": "cinder", "allocate_size": "all"}], "controller": [{"id": "os", "allocate_size": "min"}, {"id": "image", "allocate_size": "all"}], "other": [{"id": "os", "allocate_size": "all"}], "compute": [{"id": "os", "allocate_size": "min"}, {"id": "vm", "allocate_size": "all"}]}, "volumes": [{"min_size": {"generator": "calc_min_os_size"}, "type": "vg", "id": "os", "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": {"generator": "calc_total_root_vg"}}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": {"generator": "calc_swap_size"}}], "label": "Base System"}, {"min_size": {"generator": "calc_min_vm_size"}, "type": "vg", "id": "vm", "volumes": [{"mount": "/var/lib/nova", "type": "lv", "name": "nova", "file_system": "xfs", "size": {"generator_args": ["vm"], "generator": "calc_total_vg"}}], "label": "Virtual Storage"}, {"min_size": {"generator": "calc_min_glance_size"}, "type": "vg", "id": "image", "volumes": [{"mount": "/var/lib/glance", "type": "lv", "name": "glance", "file_system": "xfs", "size": {"generator_args": ["image"], "generator": "calc_total_vg"}}], "label": "Image Storage"}, {"min_size": {"generator": "calc_min_cinder_size"}, "type": "vg", "id": "cinder", "volumes": [], "label": "Cinder"}]}	{"ha_compact": {"description": "This configuration requires multiple OpenStack controllers (3+) and provides high availability for all OpenStack components, including MySQL, QPID, and Cinder, as well as OpenStack API services. Select this configuration if you want to build a production-grade OpenStack cloud with 6 nodes or more."}, "multinode": {"description": "In this configuration the OpenStack controller is deployed separately from the compute and cinder nodes. This mode assumes the presence of 1 controller node and 1 or more compute/cinder nodes. You can add more nodes to scale your cloud later."}}	{"cinder": {"name": "Cinder", "description": "Cinder provides an infrastructure for managing block storage volumes in OpenStack.  Block storage can be used for database storage, expandable file systems, or providing a server with access to raw block level storage."}, "controller": {"conflicts": ["compute"], "name": "Controller", "description": "The controller initiates orchestration activities and provides an external API.  Other components like Glance (image storage), Keystone (identity management), Horizon (OpenStack dashboard) and Nova-Scheduler are installed on the controller as well."}, "compute": {"conflicts": ["controller"], "name": "Compute", "description": "A compute node creates, manages and terminates virtual machine instances."}}
3	Grizzly on Ubuntu 12.04	2013.1.4	This option will install the OpenStack Grizzly packages using Ubuntu as a base operating system. With high availability features built in, you are getting a robust, enterprise-grade OpenStack deployment.	Ubuntu	available	{"nova_network": {"networks": [{"network_size": 256, "name": "floating", "assign_vip": false, "netmask": "255.255.255.0", "ip_range": ["172.16.0.128", "172.16.0.254"], "vlan_start": null, "cidr": "172.16.0.0/24", "gateway": "172.16.0.1"}, {"name": "public", "assign_vip": true, "netmask": "255.255.255.0", "ip_range": ["172.16.0.2", "172.16.0.127"], "vlan_start": null, "cidr": "172.16.0.0/24", "gateway": "172.16.0.1"}, {"name": "management", "assign_vip": true, "netmask": "255.255.255.0", "ip_range": ["192.168.0.1", "192.168.0.254"], "vlan_start": 101, "cidr": "192.168.0.0/24", "gateway": "192.168.0.1"}, {"name": "storage", "assign_vip": false, "netmask": "255.255.255.0", "ip_range": ["192.168.1.1", "192.168.1.254"], "vlan_start": 102, "cidr": "192.168.1.0/24", "gateway": "192.168.1.1"}, {"name": "fixed", "assign_vip": false, "netmask": "255.255.0.0", "ip_range": ["10.0.0.2", "10.0.255.254"], "vlan_start": 103, "cidr": "10.0.0.0/16", "gateway": "10.0.0.1"}]}, "neutron": {"config": {"parameters": {"metadata": {"metadata_proxy_shared_secret": ""}, "keystone": {"admin_user": null, "admin_password": ""}, "amqp": {"username": null, "passwd": "", "hosts": "hostname1:5672, hostname2:5672", "provider": "rabbitmq"}, "database": {"username": null, "passwd": "", "database": null, "port": "3306", "provider": "mysql"}}}, "networks": [{"vlan_start": null, "assign_vip": true, "name": "public", "pool": ["172.16.0.0/24"], "ip_range": ["172.16.0.2", "172.16.0.126"]}, {"name": "management", "pool": ["192.168.0.0/24"], "assign_vip": true}, {"name": "storage", "pool": ["192.168.1.0/24"], "assign_vip": false}]}}	{"generated": {"quantum_settings": {"metadata": {"metadata_proxy_shared_secret": {"generator": "password"}}, "keystone": {"admin_password": {"generator": "password"}}, "database": {"passwd": {"generator": "password"}}}, "base_syslog": {"syslog_port": {"generator": "identical", "generator_arg": "514"}, "syslog_server": {"generator": "ip", "generator_arg": "admin"}}, "heat": {"db_password": {"generator": "password"}, "rabbit_user": {"generator": "password"}, "rabbit_password": {"generator": "password"}}, "cobbler": {"profile": {"generator": "identical", "generator_arg": "ubuntu_1204_x86_64"}}, "nova": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}, "state_path": "/var/lib/nova"}, "murano": {"db_password": {"generator": "password"}}, "keystone": {"db_password": {"generator": "password"}, "admin_token": {"generator": "password"}}, "rabbit": {"password": {"generator": "password"}}, "mysql": {"root_password": {"generator": "password"}}, "cinder": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}}, "glance": {"db_password": {"generator": "password"}, "user_password": {"generator": "password"}}, "swift": {"user_password": {"generator": "password"}}, "savanna": {"db_password": {"generator": "password"}}}, "editable": {"access": {"password": {"weight": 20, "type": "password", "description": "Password for Administrator", "value": "admin", "label": "password"}, "user": {"weight": 10, "type": "text", "description": "Username for Administrator", "value": "admin", "label": "username"}, "tenant": {"weight": 30, "type": "text", "description": "Tenant (project) name for Administrator", "value": "admin", "label": "tenant"}, "email": {"weight": 40, "type": "text", "description": "Email address for Administrator", "value": "admin@example.org", "label": "email"}}, "syslog": {"syslog_port": {"weight": 20, "type": "text", "description": "Remote syslog port", "value": "514", "label": "Port"}, "syslog_transport": {"type": "radio", "values": [{"data": "udp", "description": "", "label": "UDP"}, {"data": "tcp", "description": "", "label": "TCP"}], "weight": 30, "value": "udp", "label": "Syslog transport protocol"}, "syslog_server": {"weight": 10, "type": "text", "description": "Remote syslog hostname", "value": "", "label": "Hostname"}}, "additional_components": {"murano": {"weight": 20, "type": "checkbox", "description": "If selected, Murano component will be installed", "value": false, "label": "Install Murano"}, "heat": {"weight": 30, "type": "hidden", "description": "", "value": false, "label": ""}, "savanna": {"weight": 10, "type": "checkbox", "description": "If selected, Savanna component will be installed", "value": false, "label": "Install Savanna"}}, "storage": {"osd_pool_size": {"weight": 70, "type": "text", "description": "Defines the number of object replicas in Ceph pools. At least that many Ceph-OSD nodes must be deployed.", "value": "2", "label": "Ceph object replication factor"}, "volumes_ceph": {"weight": 20, "type": "checkbox", "description": "Requires at least two Ceph-OSD nodes", "value": false, "label": "Ceph RBD for volumes"}, "images_ceph": {"weight": 30, "type": "checkbox", "description": "Requires at least two Ceph-OSD nodes", "value": false, "label": "Ceph RBD for images"}, "volumes_lvm": {"weight": 10, "type": "checkbox", "description": "Requires at least one Cinder node", "value": false, "label": "Cinder LVM over iSCSI for volumes"}, "objects_ceph": {"weight": 40, "type": "checkbox", "description": "Requires at least two Ceph-OSD nodes, incompatible with Swift", "value": false, "label": "Ceph rados-gw for objects"}}, "common": {"auto_assign_floating_ip": {"weight": 40, "type": "checkbox", "description": "If true, OpenStack will automatically assign a floating IP to a new instance", "value": false, "label": "Auto assign floating IP"}, "use_cow_images": {"weight": 50, "type": "checkbox", "description": "For most cases you will want qcow format. If it's set to false, raw image format will be used to run VMs. OpenStack with raw format currently does not support snapshotting.", "value": true, "label": "Use qcow format for images"}, "auth_key": {"weight": 80, "type": "text", "description": "Public key(s) to include in authorized_keys on deployed nodes", "value": "", "label": "Public Key"}, "compute_scheduler_driver": {"type": "radio", "values": [{"data": "nova.scheduler.filter_scheduler.FilterScheduler", "description": "Currently the most advanced OpenStack scheduler. See the OpenStack documentation for details.", "label": "Filter scheduler"}, {"data": "nova.scheduler.simple.SimpleScheduler", "description": "This is 'naive' scheduler which tries to find the least loaded host", "label": "Simple scheduler"}], "weight": 70, "value": "nova.scheduler.filter_scheduler.FilterScheduler", "label": "Scheduler driver"}, "libvirt_type": {"type": "radio", "values": [{"data": "kvm", "description": "Choose this type of hypervisor if you run OpenStack on hardware", "label": "KVM"}, {"data": "qemu", "description": "Choose this type of hypervisor if you run OpenStack on virtual hosts.", "label": "QEMU"}], "weight": 30, "value": "qemu", "label": "Hypervisor type"}, "start_guests_on_host_boot": {"weight": 60, "type": "checkbox", "description": "Whether to (re-)start guests when the host reboots. If enabled, this option causes guests assigned to the host to be unconditionally restarted when nova-compute starts. If the guest is found to be stopped, it starts. If it is found to be running, it reboots.", "value": true, "label": "Start guests on host boot"}, "debug": {"weight": 20, "type": "checkbox", "description": "Debug logging mode provides more information, but requires more disk space.", "value": false, "label": "OpenStack debug logging"}}}}	{"volumes_roles_mapping": {"ceph-osd": [{"id": "os", "allocate_size": "min"}, {"id": "cephjournal", "allocate_size": "min"}, {"id": "ceph", "allocate_size": "full-disk"}], "controller": [{"id": "os", "allocate_size": "min"}, {"id": "image", "allocate_size": "all"}], "other": [{"id": "os", "allocate_size": "all"}], "compute": [{"id": "os", "allocate_size": "min"}, {"id": "vm", "allocate_size": "all"}], "cinder": [{"id": "os", "allocate_size": "min"}, {"id": "cinder", "allocate_size": "all"}]}, "volumes": [{"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "Ceph", "mount": "none", "label": "Ceph", "min_size": {"generator": "calc_min_ceph_size"}, "type": "partition", "id": "ceph", "file_system": "none"}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "Ceph Journal", "mount": "none", "label": "Ceph Journal", "min_size": {"generator": "calc_min_ceph_journal_size"}, "type": "partition", "id": "cephjournal", "file_system": "none"}, {"min_size": {"generator": "calc_min_os_size"}, "type": "vg", "id": "os", "volumes": [{"mount": "/", "type": "lv", "name": "root", "file_system": "ext4", "size": {"generator": "calc_total_root_vg"}}, {"mount": "swap", "type": "lv", "name": "swap", "file_system": "swap", "size": {"generator": "calc_swap_size"}}], "label": "Base System"}, {"min_size": {"generator": "calc_min_vm_size"}, "type": "vg", "id": "vm", "volumes": [{"mount": "/var/lib/nova", "type": "lv", "name": "nova", "file_system": "xfs", "size": {"generator_args": ["vm"], "generator": "calc_total_vg"}}], "label": "Virtual Storage"}, {"min_size": {"generator": "calc_min_glance_size"}, "type": "vg", "id": "image", "volumes": [{"mount": "/var/lib/glance", "type": "lv", "name": "glance", "file_system": "xfs", "size": {"generator_args": ["image"], "generator": "calc_total_vg"}}], "label": "Image Storage"}, {"min_size": {"generator": "calc_min_cinder_size"}, "type": "vg", "id": "cinder", "volumes": [], "label": "Cinder"}]}	{"ha_compact": {"description": "This configuration requires multiple OpenStack controllers (3+) and provides high availability for all OpenStack components, including MySQL/Galera, RabbitMQ, and Cinder, as well as OpenStack API services. Select this configuration if you want to build a production-grade OpenStack cloud with 6 nodes or more."}, "multinode": {"description": "In this configuration the OpenStack controller is deployed separately from the compute and cinder nodes. This mode assumes the presence of 1 controller node and 1 or more compute/cinder nodes. You can add more nodes to scale your cloud later."}}	{"cinder": {"name": "Cinder", "description": "Cinder provides an infrastructure for managing block storage volumes in OpenStack.  Block storage can be used for database storage, expandable file systems, or providing a server with access to raw block level storage."}, "controller": {"conflicts": ["compute"], "name": "Controller", "description": "The controller initiates orchestration activities and provides an external API.  Other components like Glance (image storage), Keystone (identity management), Horizon (OpenStack dashboard) and Nova-Scheduler are installed on the controller as well."}, "compute": {"conflicts": ["controller"], "name": "Compute", "description": "A compute node creates, manages and terminates virtual machine instances."}, "ceph-osd": {"name": "Ceph OSD", "description": "Ceph OSD is the object storage daemon for the Ceph distributed file system.  It is responsible for storing objects on a local file system and providing access to them over the network, for example to Glance."}}
\.


--
-- Data for Name: roles; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY roles (id, release_id, name) FROM stdin;
1	1	controller
2	1	compute
3	1	cinder
4	1	ceph-osd
5	2	controller
6	2	compute
7	2	cinder
8	3	controller
9	3	compute
10	3	cinder
11	3	ceph-osd
12	\N	compute
13	\N	ceph-osd
14	\N	controller
15	\N	ceph-osd
16	\N	controller
17	\N	ceph-osd
18	\N	compute
19	\N	ceph-osd
\.


--
-- Data for Name: tasks; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY tasks (id, cluster_id, uuid, name, message, status, progress, cache, result, parent_id, weight) FROM stdin;
1	1	dd32f9a6-82f1-408e-8651-acb73f810d81	check_networks		ready	100	{}	{}	\N	1
5	1	426dbaf9-db89-4cbd-9eff-6e07e2db4233	provision	\N	ready	100	{"respond_to": "provision_resp", "method": "provision", "args": {"task_uuid": "426dbaf9-db89-4cbd-9eff-6e07e2db4233", "provisioning_info": {"engine": {"url": "http://localhost/cobbler_api", "username": "cobbler", "password": "cobbler"}, "nodes": [{"profile": "ubuntu_1204_x86_64", "name_servers_search": "\\"test.domain.local\\"", "ks_meta": {"mco_enable": 1, "mco_vhost": "mcollective", "mco_pskey": "unset", "ks_spaces": [{"name": "vda", "free_space": 30720, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 64}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "type": "partition", "file_system": "none", "size": 0}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 19916}, {"vg": "image", "type": "pv", "lvm_meta_size": 0, "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:08.0-virtio-pci-virtio5", "size": 51200}, {"name": "vdb", "free_space": 30720, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 64}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "type": "partition", "file_system": "none", "size": 10852}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"vg": "image", "type": "pv", "lvm_meta_size": 64, "size": 9064}], "type": "disk", "id": "disk/by-path/pci-0000:00:09.0-virtio-pci-virtio6", "size": 51200}, {"name": "vdc", "free_space": 0, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 128}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "type": "partition", "file_system": "none", "size": 50572}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"vg": "image", "type": "pv", "lvm_meta_size": 0, "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:0a.0-virtio-pci-virtio7", "size": 51200}, {"_allocate_size": "min", "label": "Base System", "min_size": 17408, "volumes": [{"mount": "/", "size": 17804, "type": "lv", "name": "root", "file_system": "ext4"}, {"mount": "swap", "size": 2048, "type": "lv", "name": "swap", "file_system": "swap"}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Image Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/glance", "size": 9000, "type": "lv", "name": "glance", "file_system": "xfs"}], "type": "vg", "id": "image"}], "mco_user": "mcollective", "puppet_enable": 0, "install_log_2_syslog": 1, "mco_password": "marionette", "puppet_auto_setup": 1, "puppet_master": "nailgun.test.domain.local", "mco_auto_setup": 1, "auth_key": "\\"\\"", "puppet_version": "2.7.19", "mco_connector": "rabbitmq", "mco_host": "10.108.87.2"}, "interfaces": {"eth4": {"ip_address": "10.108.87.7", "netmask": "255.255.255.0", "static": "0", "mac_address": "64:08:22:4E:1D:5D"}, "eth3": {"ip_address": "10.108.87.6", "netmask": "255.255.255.0", "static": "0", "mac_address": "64:D2:B2:8F:BD:C1"}, "eth2": {"ip_address": "10.108.87.5", "netmask": "255.255.255.0", "static": "0", "mac_address": "64:ED:5B:5C:31:E3"}, "eth1": {"ip_address": "10.108.87.4", "netmask": "255.255.255.0", "static": "0", "mac_address": "64:8F:3B:C9:79:41"}, "eth0": {"ip_address": "10.108.87.3", "netmask": "255.255.255.0", "dns_name": "node-1.test.domain.local", "static": "0", "mac_address": "64:38:44:56:32:F6"}}, "interfaces_extra": {"eth4": {"onboot": "no", "peerdns": "no"}, "eth3": {"onboot": "no", "peerdns": "no"}, "eth2": {"onboot": "no", "peerdns": "no"}, "eth1": {"onboot": "no", "peerdns": "no"}, "eth0": {"onboot": "yes", "peerdns": "no"}}, "power_type": "ssh", "power_user": "root", "kernel_options": {"udevrules": "64:08:22:4E:1D:5D_eth4,64:D2:B2:8F:BD:C1_eth3,64:ED:5B:5C:31:E3_eth2,64:8F:3B:C9:79:41_eth1,64:38:44:56:32:F6_eth0", "netcfg/choose_interface": "eth0"}, "power_address": "10.108.87.147", "name_servers": "\\"10.108.87.2\\"", "name": "node-1", "hostname": "node-1.test.domain.local", "power_pass": "/root/.ssh/bootstrap.rsa", "netboot_enabled": "1"}, {"profile": "ubuntu_1204_x86_64", "name_servers_search": "\\"test.domain.local\\"", "ks_meta": {"mco_enable": 1, "mco_vhost": "mcollective", "mco_pskey": "unset", "ks_spaces": [{"name": "vda", "free_space": 30720, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 64}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "type": "partition", "file_system": "none", "size": 0}, {"vg": "os", "type": "pv", "lvm_meta_size": 64, "size": 19916}, {"vg": "vm", "type": "pv", "lvm_meta_size": 0, "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:08.0-virtio-pci-virtio5", "size": 51200}, {"name": "vdb", "free_space": 30720, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 64}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "type": "partition", "file_system": "none", "size": 10852}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"vg": "vm", "type": "pv", "lvm_meta_size": 64, "size": 9064}], "type": "disk", "id": "disk/by-path/pci-0000:00:09.0-virtio-pci-virtio6", "size": 51200}, {"name": "vdc", "free_space": 0, "volumes": [{"type": "boot", "size": 300}, {"mount": "/boot", "size": 200, "type": "raid", "file_system": "ext2", "name": "Boot"}, {"type": "lvm_meta_pool", "size": 128}, {"partition_guid": "45b0969e-9b03-4f30-b4c6-b4b80ceff106", "name": "cephjournal", "mount": "none", "type": "partition", "file_system": "none", "size": 0}, {"partition_guid": "4fbd7e29-9d25-41b8-afd0-062c0ceff05d", "name": "ceph", "mount": "none", "type": "partition", "file_system": "none", "size": 50572}, {"vg": "os", "type": "pv", "lvm_meta_size": 0, "size": 0}, {"vg": "vm", "type": "pv", "lvm_meta_size": 0, "size": 0}], "type": "disk", "id": "disk/by-path/pci-0000:00:0a.0-virtio-pci-virtio7", "size": 51200}, {"_allocate_size": "min", "label": "Base System", "min_size": 17408, "volumes": [{"mount": "/", "size": 17804, "type": "lv", "name": "root", "file_system": "ext4"}, {"mount": "swap", "size": 2048, "type": "lv", "name": "swap", "file_system": "swap"}], "type": "vg", "id": "os"}, {"_allocate_size": "all", "label": "Virtual Storage", "min_size": 5120, "volumes": [{"mount": "/var/lib/nova", "size": 9000, "type": "lv", "name": "nova", "file_system": "xfs"}], "type": "vg", "id": "vm"}], "mco_user": "mcollective", "puppet_enable": 0, "install_log_2_syslog": 1, "mco_password": "marionette", "puppet_auto_setup": 1, "puppet_master": "nailgun.test.domain.local", "mco_auto_setup": 1, "auth_key": "\\"\\"", "puppet_version": "2.7.19", "mco_connector": "rabbitmq", "mco_host": "10.108.87.2"}, "interfaces": {"eth4": {"ip_address": "10.108.87.12", "netmask": "255.255.255.0", "static": "0", "mac_address": "64:8C:78:0E:08:7C"}, "eth3": {"ip_address": "10.108.87.11", "netmask": "255.255.255.0", "static": "0", "mac_address": "64:5B:A0:C5:8F:92"}, "eth2": {"ip_address": "10.108.87.10", "netmask": "255.255.255.0", "static": "0", "mac_address": "64:8C:DB:3C:AA:CB"}, "eth1": {"ip_address": "10.108.87.9", "netmask": "255.255.255.0", "static": "0", "mac_address": "64:A1:E8:03:55:44"}, "eth0": {"ip_address": "10.108.87.8", "netmask": "255.255.255.0", "dns_name": "node-3.test.domain.local", "static": "0", "mac_address": "64:52:AD:7D:87:DE"}}, "interfaces_extra": {"eth4": {"onboot": "no", "peerdns": "no"}, "eth3": {"onboot": "no", "peerdns": "no"}, "eth2": {"onboot": "no", "peerdns": "no"}, "eth1": {"onboot": "no", "peerdns": "no"}, "eth0": {"onboot": "yes", "peerdns": "no"}}, "power_type": "ssh", "power_user": "root", "kernel_options": {"udevrules": "64:8C:78:0E:08:7C_eth4,64:5B:A0:C5:8F:92_eth3,64:8C:DB:3C:AA:CB_eth2,64:A1:E8:03:55:44_eth1,64:52:AD:7D:87:DE_eth0", "netcfg/choose_interface": "eth0"}, "power_address": "10.108.87.173", "name_servers": "\\"10.108.87.2\\"", "name": "node-3", "hostname": "node-3.test.domain.local", "power_pass": "/root/.ssh/bootstrap.rsa", "netboot_enabled": "1"}]}}}	{}	2	0.050000000000000003
2	1	eb303583-66f7-4cf8-9f73-bd76c8dd5fed	deploy	Deployment of environment 'CephCompact' is done. Access the OpenStack dashboard (Horizon) at http://10.108.90.2/ or via internal network at http://10.108.87.3/	ready	100	{}	{}	\N	1
6	1	9738455e-bb2b-44ee-af66-8f3466a20af2	deployment	Deployment of environment 'CephCompact' is done. Access the OpenStack dashboard (Horizon) at http://10.108.90.2/ or via internal network at http://10.108.87.3/	ready	100	{"respond_to": "deploy_resp", "method": "deploy", "args": {"task_uuid": "9738455e-bb2b-44ee-af66-8f3466a20af2", "deployment_info": [{"management_interface": "eth2", "use_cow_images": true, "uid": "1", "floating_interface": "eth1", "storage_interface": "eth4", "syslog": {"syslog_port": 5514, "syslog_transport": "udp", "syslog_server": "10.108.87.1"}, "libvirt_type": "qemu", "cobbler": {"profile": "ubuntu_1204_x86_64"}, "mysql": {"root_password": "ZQ5TIKga"}, "glance": {"image_cache_max_size": "5368709120", "user_password": "oUcIl7OT", "db_password": "2VhyZkUB"}, "public_interface": "eth1", "network_data": {"lo": {"interface": "lo", "ipaddr": ["127.0.0.1/8"]}, "eth3.103": {"interface": "eth3.103", "ipaddr": "none"}, "eth4": {"interface": "eth4", "ipaddr": ["10.108.99.2/24"]}, "eth3": {"interface": "eth3", "ipaddr": "none"}, "eth2": {"interface": "eth2", "ipaddr": ["10.108.93.2/24"]}, "eth1": {"interface": "eth1", "ipaddr": ["10.108.90.2/24"], "gateway": "10.108.90.1"}, "eth0": {"interface": "eth0", "ipaddr": ["10.108.87.3/24"]}}, "quantum_settings": {"metadata": {"metadata_proxy_shared_secret": "DgPHlsMl"}, "keystone": {"admin_password": "kqcuVkYG"}, "database": {"passwd": "aS5eGjCY"}}, "management_network_range": "10.108.93.0/24", "storage": {"osd_pool_size": "2", "volumes_lvm": false, "images_ceph": true, "volumes_ceph": true, "objects_ceph": false}, "fixed_network_range": "10.0.0.0/16", "nova": {"db_password": "Qti968UL", "user_password": "AdVGWXAO", "state_path": "/var/lib/nova"}, "master_ip": "10.108.87.2", "priority": 200, "murano": {"db_password": "VGuZR8PR", "enabled": false}, "role": "ceph-osd", "online": true, "keystone": {"db_password": "PTJYweun", "admin_token": "DbvSEPv1"}, "nodes": [{"storage_netmask": "255.255.255.0", "uid": "1", "public_address": "10.108.90.2", "internal_netmask": "255.255.255.0", "fqdn": "node-1.test.domain.local", "role": "ceph-osd", "public_netmask": "255.255.255.0", "internal_address": "10.108.93.2", "storage_address": "10.108.99.2", "name": "node-1"}, {"storage_netmask": "255.255.255.0", "uid": "1", "public_address": "10.108.90.2", "internal_netmask": "255.255.255.0", "fqdn": "node-1.test.domain.local", "role": "controller", "public_netmask": "255.255.255.0", "internal_address": "10.108.93.2", "storage_address": "10.108.99.2", "name": "node-1"}, {"storage_netmask": "255.255.255.0", "uid": "3", "public_address": "10.108.90.3", "internal_netmask": "255.255.255.0", "fqdn": "node-3.test.domain.local", "role": "ceph-osd", "public_netmask": "255.255.255.0", "internal_address": "10.108.93.3", "storage_address": "10.108.99.3", "name": "node-3"}, {"storage_netmask": "255.255.255.0", "uid": "3", "public_address": "10.108.90.3", "internal_netmask": "255.255.255.0", "fqdn": "node-3.test.domain.local", "role": "compute", "public_netmask": "255.255.255.0", "internal_address": "10.108.93.3", "storage_address": "10.108.99.3", "name": "node-3"}], "status": "discover", "deployment_mode": "multinode", "novanetwork_parameters": {"network_manager": "FlatDHCPManager", "network_size": 256}, "heat": {"db_password": "1xgrs6rW", "enabled": false, "rabbit_user": "RKHKgDSH", "rabbit_password": "psvtBt0A"}, "storage_network_range": "10.108.99.0/24", "start_guests_on_host_boot": true, "rabbit": {"password": "YbsIqj9h"}, "swift": {"user_password": "NWDsCh19"}, "base_syslog": {"syslog_port": "514", "syslog_server": "10.108.87.2"}, "auto_assign_floating_ip": false, "floating_network_range": ["10.108.90.128-10.108.90.254"], "auth_key": "", "access": {"password": "admin", "user": "admin", "tenant": "admin", "email": "admin@example.org"}, "fqdn": "node-1.test.domain.local", "compute_scheduler_driver": "nova.scheduler.filter_scheduler.FilterScheduler", "fixed_interface": "eth3.103", "admin_interface": "eth0", "dns_nameservers": ["8.8.8.8", "8.8.4.4"], "debug": true, "cinder": {"db_password": "4BntLzHR", "user_password": "ZA0sRfMk"}, "deployment_id": 1, "savanna": {"db_password": "GIBgleOr", "enabled": false}}, {"management_interface": "eth2", "use_cow_images": true, "uid": "1", "floating_interface": "eth1", "storage_interface": "eth4", "syslog": {"syslog_port": 5514, "syslog_transport": "udp", "syslog_server": "10.108.87.1"}, "libvirt_type": "qemu", "cobbler": {"profile": "ubuntu_1204_x86_64"}, "mysql": {"root_password": "ZQ5TIKga"}, "glance": {"image_cache_max_size": "5368709120", "user_password": "oUcIl7OT", "db_password": "2VhyZkUB"}, "public_interface": "eth1", "network_data": {"lo": {"interface": "lo", "ipaddr": ["127.0.0.1/8"]}, "eth3.103": {"interface": "eth3.103", "ipaddr": "none"}, "eth4": {"interface": "eth4", "ipaddr": ["10.108.99.2/24"]}, "eth3": {"interface": "eth3", "ipaddr": "none"}, "eth2": {"interface": "eth2", "ipaddr": ["10.108.93.2/24"]}, "eth1": {"interface": "eth1", "ipaddr": ["10.108.90.2/24"], "gateway": "10.108.90.1"}, "eth0": {"interface": "eth0", "ipaddr": ["10.108.87.3/24"]}}, "quantum_settings": {"metadata": {"metadata_proxy_shared_secret": "DgPHlsMl"}, "keystone": {"admin_password": "kqcuVkYG"}, "database": {"passwd": "aS5eGjCY"}}, "management_network_range": "10.108.93.0/24", "storage": {"osd_pool_size": "2", "volumes_lvm": false, "images_ceph": true, "volumes_ceph": true, "objects_ceph": false}, "fixed_network_range": "10.0.0.0/16", "nova": {"db_password": "Qti968UL", "user_password": "AdVGWXAO", "state_path": "/var/lib/nova"}, "master_ip": "10.108.87.2", "priority": 100, "murano": {"db_password": "VGuZR8PR", "enabled": false}, "role": "controller", "online": true, "keystone": {"db_password": "PTJYweun", "admin_token": "DbvSEPv1"}, "nodes": [{"storage_netmask": "255.255.255.0", "uid": "1", "public_address": "10.108.90.2", "internal_netmask": "255.255.255.0", "fqdn": "node-1.test.domain.local", "role": "ceph-osd", "public_netmask": "255.255.255.0", "internal_address": "10.108.93.2", "storage_address": "10.108.99.2", "name": "node-1"}, {"storage_netmask": "255.255.255.0", "uid": "1", "public_address": "10.108.90.2", "internal_netmask": "255.255.255.0", "fqdn": "node-1.test.domain.local", "role": "controller", "public_netmask": "255.255.255.0", "internal_address": "10.108.93.2", "storage_address": "10.108.99.2", "name": "node-1"}, {"storage_netmask": "255.255.255.0", "uid": "3", "public_address": "10.108.90.3", "internal_netmask": "255.255.255.0", "fqdn": "node-3.test.domain.local", "role": "ceph-osd", "public_netmask": "255.255.255.0", "internal_address": "10.108.93.3", "storage_address": "10.108.99.3", "name": "node-3"}, {"storage_netmask": "255.255.255.0", "uid": "3", "public_address": "10.108.90.3", "internal_netmask": "255.255.255.0", "fqdn": "node-3.test.domain.local", "role": "compute", "public_netmask": "255.255.255.0", "internal_address": "10.108.93.3", "storage_address": "10.108.99.3", "name": "node-3"}], "status": "discover", "deployment_mode": "multinode", "novanetwork_parameters": {"network_manager": "FlatDHCPManager", "network_size": 256}, "heat": {"db_password": "1xgrs6rW", "enabled": false, "rabbit_user": "RKHKgDSH", "rabbit_password": "psvtBt0A"}, "storage_network_range": "10.108.99.0/24", "start_guests_on_host_boot": true, "rabbit": {"password": "YbsIqj9h"}, "swift": {"user_password": "NWDsCh19"}, "base_syslog": {"syslog_port": "514", "syslog_server": "10.108.87.2"}, "auto_assign_floating_ip": false, "floating_network_range": ["10.108.90.128-10.108.90.254"], "auth_key": "", "access": {"password": "admin", "user": "admin", "tenant": "admin", "email": "admin@example.org"}, "fqdn": "node-1.test.domain.local", "compute_scheduler_driver": "nova.scheduler.filter_scheduler.FilterScheduler", "fixed_interface": "eth3.103", "admin_interface": "eth0", "dns_nameservers": ["8.8.8.8", "8.8.4.4"], "debug": true, "cinder": {"db_password": "4BntLzHR", "user_password": "ZA0sRfMk"}, "deployment_id": 1, "savanna": {"db_password": "GIBgleOr", "enabled": false}}, {"management_interface": "eth2", "use_cow_images": true, "uid": "3", "floating_interface": "eth1", "storage_interface": "eth4", "syslog": {"syslog_port": 5514, "syslog_transport": "udp", "syslog_server": "10.108.87.1"}, "libvirt_type": "qemu", "cobbler": {"profile": "ubuntu_1204_x86_64"}, "mysql": {"root_password": "ZQ5TIKga"}, "glance": {"image_cache_max_size": "5368709120", "user_password": "oUcIl7OT", "db_password": "2VhyZkUB"}, "public_interface": "eth1", "network_data": {"lo": {"interface": "lo", "ipaddr": ["127.0.0.1/8"]}, "eth3.103": {"interface": "eth3.103", "ipaddr": "none"}, "eth4": {"interface": "eth4", "ipaddr": ["10.108.99.3/24"]}, "eth3": {"interface": "eth3", "ipaddr": "none"}, "eth2": {"interface": "eth2", "ipaddr": ["10.108.93.3/24"]}, "eth1": {"interface": "eth1", "ipaddr": ["10.108.90.3/24"], "gateway": "10.108.90.1"}, "eth0": {"interface": "eth0", "ipaddr": ["10.108.87.8/24"]}}, "quantum_settings": {"metadata": {"metadata_proxy_shared_secret": "DgPHlsMl"}, "keystone": {"admin_password": "kqcuVkYG"}, "database": {"passwd": "aS5eGjCY"}}, "management_network_range": "10.108.93.0/24", "storage": {"osd_pool_size": "2", "volumes_lvm": false, "images_ceph": true, "volumes_ceph": true, "objects_ceph": false}, "fixed_network_range": "10.0.0.0/16", "nova": {"db_password": "Qti968UL", "user_password": "AdVGWXAO", "state_path": "/var/lib/nova"}, "master_ip": "10.108.87.2", "priority": 200, "murano": {"db_password": "VGuZR8PR", "enabled": false}, "role": "ceph-osd", "online": true, "keystone": {"db_password": "PTJYweun", "admin_token": "DbvSEPv1"}, "nodes": [{"storage_netmask": "255.255.255.0", "uid": "1", "public_address": "10.108.90.2", "internal_netmask": "255.255.255.0", "fqdn": "node-1.test.domain.local", "role": "ceph-osd", "public_netmask": "255.255.255.0", "internal_address": "10.108.93.2", "storage_address": "10.108.99.2", "name": "node-1"}, {"storage_netmask": "255.255.255.0", "uid": "1", "public_address": "10.108.90.2", "internal_netmask": "255.255.255.0", "fqdn": "node-1.test.domain.local", "role": "controller", "public_netmask": "255.255.255.0", "internal_address": "10.108.93.2", "storage_address": "10.108.99.2", "name": "node-1"}, {"storage_netmask": "255.255.255.0", "uid": "3", "public_address": "10.108.90.3", "internal_netmask": "255.255.255.0", "fqdn": "node-3.test.domain.local", "role": "ceph-osd", "public_netmask": "255.255.255.0", "internal_address": "10.108.93.3", "storage_address": "10.108.99.3", "name": "node-3"}, {"storage_netmask": "255.255.255.0", "uid": "3", "public_address": "10.108.90.3", "internal_netmask": "255.255.255.0", "fqdn": "node-3.test.domain.local", "role": "compute", "public_netmask": "255.255.255.0", "internal_address": "10.108.93.3", "storage_address": "10.108.99.3", "name": "node-3"}], "status": "discover", "deployment_mode": "multinode", "novanetwork_parameters": {"network_manager": "FlatDHCPManager", "network_size": 256}, "heat": {"db_password": "1xgrs6rW", "enabled": false, "rabbit_user": "RKHKgDSH", "rabbit_password": "psvtBt0A"}, "storage_network_range": "10.108.99.0/24", "start_guests_on_host_boot": true, "rabbit": {"password": "YbsIqj9h"}, "swift": {"user_password": "NWDsCh19"}, "base_syslog": {"syslog_port": "514", "syslog_server": "10.108.87.2"}, "auto_assign_floating_ip": false, "floating_network_range": ["10.108.90.128-10.108.90.254"], "auth_key": "", "access": {"password": "admin", "user": "admin", "tenant": "admin", "email": "admin@example.org"}, "fqdn": "node-3.test.domain.local", "compute_scheduler_driver": "nova.scheduler.filter_scheduler.FilterScheduler", "fixed_interface": "eth3.103", "admin_interface": "eth0", "dns_nameservers": ["8.8.8.8", "8.8.4.4"], "debug": true, "cinder": {"db_password": "4BntLzHR", "user_password": "ZA0sRfMk"}, "deployment_id": 1, "savanna": {"db_password": "GIBgleOr", "enabled": false}}, {"management_interface": "eth2", "use_cow_images": true, "uid": "3", "floating_interface": "eth1", "storage_interface": "eth4", "syslog": {"syslog_port": 5514, "syslog_transport": "udp", "syslog_server": "10.108.87.1"}, "libvirt_type": "qemu", "cobbler": {"profile": "ubuntu_1204_x86_64"}, "mysql": {"root_password": "ZQ5TIKga"}, "glance": {"image_cache_max_size": "5368709120", "user_password": "oUcIl7OT", "db_password": "2VhyZkUB"}, "public_interface": "eth1", "network_data": {"lo": {"interface": "lo", "ipaddr": ["127.0.0.1/8"]}, "eth3.103": {"interface": "eth3.103", "ipaddr": "none"}, "eth4": {"interface": "eth4", "ipaddr": ["10.108.99.3/24"]}, "eth3": {"interface": "eth3", "ipaddr": "none"}, "eth2": {"interface": "eth2", "ipaddr": ["10.108.93.3/24"]}, "eth1": {"interface": "eth1", "ipaddr": ["10.108.90.3/24"], "gateway": "10.108.90.1"}, "eth0": {"interface": "eth0", "ipaddr": ["10.108.87.8/24"]}}, "quantum_settings": {"metadata": {"metadata_proxy_shared_secret": "DgPHlsMl"}, "keystone": {"admin_password": "kqcuVkYG"}, "database": {"passwd": "aS5eGjCY"}}, "management_network_range": "10.108.93.0/24", "storage": {"osd_pool_size": "2", "volumes_lvm": false, "images_ceph": true, "volumes_ceph": true, "objects_ceph": false}, "fixed_network_range": "10.0.0.0/16", "nova": {"db_password": "Qti968UL", "user_password": "AdVGWXAO", "state_path": "/var/lib/nova"}, "master_ip": "10.108.87.2", "priority": 200, "murano": {"db_password": "VGuZR8PR", "enabled": false}, "role": "compute", "online": true, "keystone": {"db_password": "PTJYweun", "admin_token": "DbvSEPv1"}, "nodes": [{"storage_netmask": "255.255.255.0", "uid": "1", "public_address": "10.108.90.2", "internal_netmask": "255.255.255.0", "fqdn": "node-1.test.domain.local", "role": "ceph-osd", "public_netmask": "255.255.255.0", "internal_address": "10.108.93.2", "storage_address": "10.108.99.2", "name": "node-1"}, {"storage_netmask": "255.255.255.0", "uid": "1", "public_address": "10.108.90.2", "internal_netmask": "255.255.255.0", "fqdn": "node-1.test.domain.local", "role": "controller", "public_netmask": "255.255.255.0", "internal_address": "10.108.93.2", "storage_address": "10.108.99.2", "name": "node-1"}, {"storage_netmask": "255.255.255.0", "uid": "3", "public_address": "10.108.90.3", "internal_netmask": "255.255.255.0", "fqdn": "node-3.test.domain.local", "role": "ceph-osd", "public_netmask": "255.255.255.0", "internal_address": "10.108.93.3", "storage_address": "10.108.99.3", "name": "node-3"}, {"storage_netmask": "255.255.255.0", "uid": "3", "public_address": "10.108.90.3", "internal_netmask": "255.255.255.0", "fqdn": "node-3.test.domain.local", "role": "compute", "public_netmask": "255.255.255.0", "internal_address": "10.108.93.3", "storage_address": "10.108.99.3", "name": "node-3"}], "status": "discover", "deployment_mode": "multinode", "novanetwork_parameters": {"network_manager": "FlatDHCPManager", "network_size": 256}, "heat": {"db_password": "1xgrs6rW", "enabled": false, "rabbit_user": "RKHKgDSH", "rabbit_password": "psvtBt0A"}, "storage_network_range": "10.108.99.0/24", "start_guests_on_host_boot": true, "rabbit": {"password": "YbsIqj9h"}, "swift": {"user_password": "NWDsCh19"}, "base_syslog": {"syslog_port": "514", "syslog_server": "10.108.87.2"}, "auto_assign_floating_ip": false, "floating_network_range": ["10.108.90.128-10.108.90.254"], "auth_key": "", "access": {"password": "admin", "user": "admin", "tenant": "admin", "email": "admin@example.org"}, "fqdn": "node-3.test.domain.local", "compute_scheduler_driver": "nova.scheduler.filter_scheduler.FilterScheduler", "fixed_interface": "eth3.103", "admin_interface": "eth0", "dns_nameservers": ["8.8.8.8", "8.8.4.4"], "debug": true, "cinder": {"db_password": "4BntLzHR", "user_password": "ZA0sRfMk"}, "deployment_id": 1, "savanna": {"db_password": "GIBgleOr", "enabled": false}}]}}	{}	2	1
7	\N	a889ccd1-d3d4-455b-9f29-e79fded84f5b	dump	\N	running	0	{"respond_to": "dump_environment_resp", "method": "dump_environment", "args": {"task_uuid": "a889ccd1-d3d4-455b-9f29-e79fded84f5b", "lastdump": "/var/www/nailgun/dump/last"}}	{}	\N	1
\.


--
-- Data for Name: vlan; Type: TABLE DATA; Schema: public; Owner: nailgun
--

COPY vlan (id) FROM stdin;
103
\.


--
-- Name: allowed_networks_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY allowed_networks
    ADD CONSTRAINT allowed_networks_pkey PRIMARY KEY (id);


--
-- Name: attributes_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY attributes
    ADD CONSTRAINT attributes_pkey PRIMARY KEY (id);


--
-- Name: capacity_log_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY capacity_log
    ADD CONSTRAINT capacity_log_pkey PRIMARY KEY (id);


--
-- Name: cluster_changes_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY cluster_changes
    ADD CONSTRAINT cluster_changes_pkey PRIMARY KEY (id);


--
-- Name: clusters_name_key; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY clusters
    ADD CONSTRAINT clusters_name_key UNIQUE (name);


--
-- Name: clusters_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY clusters
    ADD CONSTRAINT clusters_pkey PRIMARY KEY (id);


--
-- Name: global_parameters_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY global_parameters
    ADD CONSTRAINT global_parameters_pkey PRIMARY KEY (id);


--
-- Name: ip_addr_ranges_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY ip_addr_ranges
    ADD CONSTRAINT ip_addr_ranges_pkey PRIMARY KEY (id);


--
-- Name: ip_addrs_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY ip_addrs
    ADD CONSTRAINT ip_addrs_pkey PRIMARY KEY (id);


--
-- Name: l2_connections_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY l2_connections
    ADD CONSTRAINT l2_connections_pkey PRIMARY KEY (id);


--
-- Name: l2_topologies_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY l2_topologies
    ADD CONSTRAINT l2_topologies_pkey PRIMARY KEY (id);


--
-- Name: net_assignments_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY net_assignments
    ADD CONSTRAINT net_assignments_pkey PRIMARY KEY (id);


--
-- Name: network_groups_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY network_groups
    ADD CONSTRAINT network_groups_pkey PRIMARY KEY (id);


--
-- Name: networks_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY networks
    ADD CONSTRAINT networks_pkey PRIMARY KEY (id);


--
-- Name: neutron_configs_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY neutron_configs
    ADD CONSTRAINT neutron_configs_pkey PRIMARY KEY (id);


--
-- Name: node_attributes_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY node_attributes
    ADD CONSTRAINT node_attributes_pkey PRIMARY KEY (id);


--
-- Name: node_nic_interfaces_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY node_nic_interfaces
    ADD CONSTRAINT node_nic_interfaces_pkey PRIMARY KEY (id);


--
-- Name: node_roles_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY node_roles
    ADD CONSTRAINT node_roles_pkey PRIMARY KEY (id);


--
-- Name: nodes_mac_key; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY nodes
    ADD CONSTRAINT nodes_mac_key UNIQUE (mac);


--
-- Name: nodes_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY nodes
    ADD CONSTRAINT nodes_pkey PRIMARY KEY (id);


--
-- Name: notifications_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY notifications
    ADD CONSTRAINT notifications_pkey PRIMARY KEY (id);


--
-- Name: pending_node_roles_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY pending_node_roles
    ADD CONSTRAINT pending_node_roles_pkey PRIMARY KEY (id);


--
-- Name: plugins_name_key; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY plugins
    ADD CONSTRAINT plugins_name_key UNIQUE (name);


--
-- Name: plugins_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY plugins
    ADD CONSTRAINT plugins_pkey PRIMARY KEY (id);


--
-- Name: red_hat_accounts_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY red_hat_accounts
    ADD CONSTRAINT red_hat_accounts_pkey PRIMARY KEY (id);


--
-- Name: releases_name_key; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY releases
    ADD CONSTRAINT releases_name_key UNIQUE (name, version);


--
-- Name: releases_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY releases
    ADD CONSTRAINT releases_pkey PRIMARY KEY (id);


--
-- Name: roles_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY roles
    ADD CONSTRAINT roles_pkey PRIMARY KEY (id);


--
-- Name: tasks_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY tasks
    ADD CONSTRAINT tasks_pkey PRIMARY KEY (id);


--
-- Name: vlan_pkey; Type: CONSTRAINT; Schema: public; Owner: nailgun; Tablespace: 
--

ALTER TABLE ONLY vlan
    ADD CONSTRAINT vlan_pkey PRIMARY KEY (id);


--
-- Name: allowed_networks_interface_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY allowed_networks
    ADD CONSTRAINT allowed_networks_interface_id_fkey FOREIGN KEY (interface_id) REFERENCES node_nic_interfaces(id) ON DELETE CASCADE;


--
-- Name: allowed_networks_network_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY allowed_networks
    ADD CONSTRAINT allowed_networks_network_id_fkey FOREIGN KEY (network_id) REFERENCES network_groups(id) ON DELETE CASCADE;


--
-- Name: attributes_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY attributes
    ADD CONSTRAINT attributes_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id);


--
-- Name: cluster_changes_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY cluster_changes
    ADD CONSTRAINT cluster_changes_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id);


--
-- Name: cluster_changes_node_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY cluster_changes
    ADD CONSTRAINT cluster_changes_node_id_fkey FOREIGN KEY (node_id) REFERENCES nodes(id) ON DELETE CASCADE;


--
-- Name: clusters_release_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY clusters
    ADD CONSTRAINT clusters_release_id_fkey FOREIGN KEY (release_id) REFERENCES releases(id);


--
-- Name: ip_addr_ranges_network_group_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY ip_addr_ranges
    ADD CONSTRAINT ip_addr_ranges_network_group_id_fkey FOREIGN KEY (network_group_id) REFERENCES network_groups(id);


--
-- Name: ip_addrs_network_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY ip_addrs
    ADD CONSTRAINT ip_addrs_network_fkey FOREIGN KEY (network) REFERENCES networks(id) ON DELETE CASCADE;


--
-- Name: ip_addrs_node_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY ip_addrs
    ADD CONSTRAINT ip_addrs_node_fkey FOREIGN KEY (node) REFERENCES nodes(id) ON DELETE CASCADE;


--
-- Name: l2_connections_interface_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY l2_connections
    ADD CONSTRAINT l2_connections_interface_id_fkey FOREIGN KEY (interface_id) REFERENCES node_nic_interfaces(id) ON DELETE CASCADE;


--
-- Name: l2_connections_topology_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY l2_connections
    ADD CONSTRAINT l2_connections_topology_id_fkey FOREIGN KEY (topology_id) REFERENCES l2_topologies(id) ON DELETE CASCADE;


--
-- Name: l2_topologies_network_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY l2_topologies
    ADD CONSTRAINT l2_topologies_network_id_fkey FOREIGN KEY (network_id) REFERENCES network_groups(id) ON DELETE CASCADE;


--
-- Name: net_assignments_interface_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY net_assignments
    ADD CONSTRAINT net_assignments_interface_id_fkey FOREIGN KEY (interface_id) REFERENCES node_nic_interfaces(id) ON DELETE CASCADE;


--
-- Name: net_assignments_network_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY net_assignments
    ADD CONSTRAINT net_assignments_network_id_fkey FOREIGN KEY (network_id) REFERENCES network_groups(id) ON DELETE CASCADE;


--
-- Name: network_groups_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY network_groups
    ADD CONSTRAINT network_groups_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id);


--
-- Name: network_groups_release_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY network_groups
    ADD CONSTRAINT network_groups_release_fkey FOREIGN KEY (release) REFERENCES releases(id);


--
-- Name: networks_network_group_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY networks
    ADD CONSTRAINT networks_network_group_id_fkey FOREIGN KEY (network_group_id) REFERENCES network_groups(id);


--
-- Name: networks_release_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY networks
    ADD CONSTRAINT networks_release_fkey FOREIGN KEY (release) REFERENCES releases(id);


--
-- Name: networks_vlan_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY networks
    ADD CONSTRAINT networks_vlan_id_fkey FOREIGN KEY (vlan_id) REFERENCES vlan(id);


--
-- Name: neutron_configs_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY neutron_configs
    ADD CONSTRAINT neutron_configs_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id);


--
-- Name: node_attributes_node_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_attributes
    ADD CONSTRAINT node_attributes_node_id_fkey FOREIGN KEY (node_id) REFERENCES nodes(id);


--
-- Name: node_nic_interfaces_node_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_nic_interfaces
    ADD CONSTRAINT node_nic_interfaces_node_id_fkey FOREIGN KEY (node_id) REFERENCES nodes(id) ON DELETE CASCADE;


--
-- Name: node_roles_node_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_roles
    ADD CONSTRAINT node_roles_node_fkey FOREIGN KEY (node) REFERENCES nodes(id);


--
-- Name: node_roles_role_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY node_roles
    ADD CONSTRAINT node_roles_role_fkey FOREIGN KEY (role) REFERENCES roles(id) ON DELETE CASCADE;


--
-- Name: nodes_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY nodes
    ADD CONSTRAINT nodes_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id);


--
-- Name: notifications_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY notifications
    ADD CONSTRAINT notifications_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id) ON DELETE SET NULL;


--
-- Name: notifications_node_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY notifications
    ADD CONSTRAINT notifications_node_id_fkey FOREIGN KEY (node_id) REFERENCES nodes(id) ON DELETE SET NULL;


--
-- Name: notifications_task_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY notifications
    ADD CONSTRAINT notifications_task_id_fkey FOREIGN KEY (task_id) REFERENCES tasks(id) ON DELETE SET NULL;


--
-- Name: pending_node_roles_node_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY pending_node_roles
    ADD CONSTRAINT pending_node_roles_node_fkey FOREIGN KEY (node) REFERENCES nodes(id);


--
-- Name: pending_node_roles_role_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY pending_node_roles
    ADD CONSTRAINT pending_node_roles_role_fkey FOREIGN KEY (role) REFERENCES roles(id) ON DELETE CASCADE;


--
-- Name: roles_release_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY roles
    ADD CONSTRAINT roles_release_id_fkey FOREIGN KEY (release_id) REFERENCES releases(id) ON DELETE CASCADE;


--
-- Name: tasks_cluster_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY tasks
    ADD CONSTRAINT tasks_cluster_id_fkey FOREIGN KEY (cluster_id) REFERENCES clusters(id);


--
-- Name: tasks_parent_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: nailgun
--

ALTER TABLE ONLY tasks
    ADD CONSTRAINT tasks_parent_id_fkey FOREIGN KEY (parent_id) REFERENCES tasks(id);


--
-- Name: public; Type: ACL; Schema: -; Owner: postgres
--

REVOKE ALL ON SCHEMA public FROM PUBLIC;
REVOKE ALL ON SCHEMA public FROM postgres;
GRANT ALL ON SCHEMA public TO postgres;
GRANT ALL ON SCHEMA public TO PUBLIC;


--
-- PostgreSQL database dump complete
--

